package pci_probing::pcitable;
%ids = (
0x06751702 => [ 'Dynalink|IS64PH ISDN Adapter', 'unknown' ],
0x0e110001 => [ 'Compaq|PCI to EISA Bridge', 'ignore' ],
0x0e110002 => [ 'Compaq|PCI to ISA Bridge', 'ignore' ],
0x0e110508 => [ 'Compaq|Netelligent 4/16', 'unknown' ],
0x0e111000 => [ 'Compaq|Triflex/Pentium Bridge, Model 1000', 'ignore' ],
0x0e112000 => [ 'Compaq|Triflex/Pentium Bridge, Model 2000', 'ignore' ],
0x0e113032 => [ 'Compaq|QVision 1280/p', 'unknown' ],
0x0e113033 => [ 'Compaq|QVision 1280/p', 'Server:SVGA' ],
0x0e113034 => [ 'Compaq|QVision 1280/p', 'unknown' ],
0x0e114000 => [ 'Compaq|4000 [Triflex]', 'unknown' ],
0x0e116010 => [ 'Compaq|HotPlug PCI Bridge 6010', 'unknown' ],
0x0e117020 => [ 'Compaq|USB Controller', 'usb-ohci' ],
0x0e11a0ec => [ 'Compaq|Fibre Channel Host Controller /P', 'unknown' ],
0x0e11a0f3 => [ 'Compaq|Triflex PCI to ISA Bridge', 'ignore' ],
0x0e11a0f7 => [ 'Compaq|Cirrus Logic VGA Video Controller', 'unknown' ],
0x0e11a0f8 => [ 'Compaq|USB Open Host Controller', 'usb-ohci' ],
0x0e11ae10 => [ 'Compaq|Smart-2/P RAID Controller', 'cpqarray' ],
0x0e11ae29 => [ 'Compaq|MIS-L', 'unknown' ],
0x0e11ae2a => [ 'Compaq|MPC', 'unknown' ],
0x0e11ae2b => [ 'Compaq|MIS-E', 'unknown' ],
0x0e11ae32 => [ 'Compaq|Netelligent 10/100', 'tlan' ],
0x0e11ae33 => [ 'Compaq|Triflex Dual EIDE Controller', 'unknown' ],
0x0e11ae34 => [ 'Compaq|Netelligent 10', 'tlan' ],
0x0e11ae35 => [ 'Compaq|Integrated NetFlex-3/P', 'tlan' ],
0x0e11ae40 => [ 'Compaq|Netelligent 10/100 Dual', 'tlan' ],
0x0e11ae43 => [ 'Compaq|ProLiant Integrated Netelligent 10/100', 'tlan' ],
0x0e11ae69 => [ 'Compaq|CETUS-L', 'unknown' ],
0x0e11ae6c => [ 'Compaq|Northstar', 'unknown' ],
0x0e11ae6d => [ 'Compaq|NorthStar Bridge', 'unknown' ],
0x0e11b011 => [ 'Compaq|Integrated Netelligent 10/100', 'tlan' ],
0x0e11b012 => [ 'Compaq|Netelligent 10 T/2', 'tlan' ],
0x0e11b030 => [ 'Compaq|Netelligent WS 5100', 'tlan' ],
0x0e11b04a => [ 'Compaq|10/100TX WOL UTP Controller', 'unknown' ],
0x0e11b0c6 => [ 'Compaq|10/100TX Embedded WOL UTP Controller', 'unknown' ],
0x0e11b0d7 => [ 'Compaq|NC3121 (Rev A & B)', 'unknown' ],
0x0e11f130 => [ 'Compaq|NetFlex-3/P ThunderLAN 1.0', 'tlan' ],
0x0e11f150 => [ 'Compaq|NetFlex-3/P ThunderLAN 2.3', 'tlan' ],
0x10000001 => [ 'Symbios|53c810', 'ncr53c8xx' ],
0x10000002 => [ 'Symbios|53c820', 'ncr53c8xx' ],
0x10000003 => [ 'Symbios|53c825', 'ncr53c8xx' ],
0x10000004 => [ 'Symbios|53c815', 'ncr53c8xx' ],
0x10000005 => [ 'Symbios|53c810AP', 'ncr53c8xx' ],
0x10000006 => [ 'Symbios|53c860', 'ncr53c8xx' ],
0x1000000a => [ 'Symbios|53c1510', 'ncr53c8xx' ],
0x1000000b => [ 'Symbios|53c896', 'ncr53c8xx' ],
0x1000000c => [ 'Symbios|53c895', 'ncr53c8xx' ],
0x1000000d => [ 'Symbios|53c885', 'ncr53c8xx' ],
0x10000010 => [ 'Symbios|53c1510 Array Mode [Compaq Integrated Smart Array]', 'cpqarray' ],
0x1000000f => [ 'Symbios|53c875', 'ncr53c8xx' ],
0x10000012 => [ 'Symbios|53c895a', 'ncr53c8xx' ],
0x1000008f => [ 'Symbios|53c875J', 'ncr53c8xx' ],
0x10000701 => [ 'Symbios|83C885 gigabit ethernet', 'yellowfin' ],
0x10000702 => [ 'Symbios|Yellowfin G-NIC gigabit ethernet', 'yellowfin' ],
0x10000901 => [ 'Symbios|61C102', 'unknown' ],
0x10001000 => [ 'Symbios|63C815', 'unknown' ],
0x10019100 => [ 'Initio|INI-9100/9100W SCSI Host', 'unknown' ],
0x10020084 => [ 'ATI|Mach64', 'Server:Mach64' ],
0x10020088 => [ 'ATI|Mach64 (SuSE Econ)', 'Server:Mach64' ],
0x10024158 => [ 'ATI|Mach32', 'Server:Mach64' ],
0x10024354 => [ 'ATI|215CT [Mach64 CT]', 'Card:ATI Mach64' ],
0x10024358 => [ 'ATI|210888CX [Mach64 CX]', 'Server:Mach64' ],
0x10024554 => [ 'ATI|210888ET [Mach64 ET]', 'Server:Mach64' ],
0x10024654 => [ 'ATI|Mach64 VT', 'Server:Mach64' ],
0x10024742 => [ 'ATI|3D Rage Pro AGP 1X/2X', 'Server:Mach64' ],
0x10024744 => [ 'ATI|3D Rage Pro AGP 1X', 'Server:Mach64' ],
0x10024747 => [ 'ATI|3D Rage Pro', 'Server:Mach64' ],
0x10024749 => [ 'ATI|3D Rage Pro', 'Server:Mach64' ],
0x1002474c => [ 'ATI|Rage XC', 'Server:Mach64' ],
0x1002474d => [ 'ATI|Rage XL AGP', 'Server:Mach64' ],
0x1002474e => [ 'ATI|Rage XC AGP', 'Server:Mach64' ],
0x1002474f => [ 'ATI|Rage XL', 'Server:Mach64' ],
0x10024750 => [ 'ATI|3D Rage Pro 215GP', 'Server:Mach64' ],
0x10024751 => [ 'ATI|3D Rage Pro 215GQ', 'Server:Mach64' ],
0x10024753 => [ 'ATI|Rage XC', 'Server:Mach64' ],
0x10024754 => [ 'ATI|3D Rage I/II 215GT [Mach64 GT]', 'Card:ATI Mach64 3D RAGE II' ],
0x10024755 => [ 'ATI|3D Rage II+ 215GTB [Mach64 GTB]', 'Card:ATI Mach64 3D RAGE II' ],
0x10024756 => [ 'ATI|3D Rage IIC 215IIC [Mach64 GT IIC]', 'Card:ATI Mach64 3D RAGE II' ],
0x10024757 => [ 'ATI|3D Rage IIC AGP', 'Card:ATI Mach64 3D Rage IIC' ],
0x10024758 => [ 'ATI|210888GX [Mach64 GX]', 'Server:Mach64' ],
0x10024759 => [ 'ATI|3D Rage IIC', 'Card:ATI Mach64 3D Rage IIC' ],
0x1002475a => [ 'ATI|3D Rage IIC AGP', 'Card:ATI Mach64 3D Rage IIC' ],
0x10024c42 => [ 'ATI|3D Rage LT Pro AGP-133', 'Server:Mach64' ],
0x10024c44 => [ 'ATI|3D Rage LT Pro AGP-66', 'Server:Mach64' ],
0x10024c47 => [ 'ATI|3D Rage LT-G 215LG', 'Server:Mach64' ],
0x10024c49 => [ 'ATI|3D Rage LT Pro', 'Server:Mach64' ],
0x10024c4d => [ 'ATI|3D Rage P/M Mobility AGP 2x', 'Server:Mach64' ],
0x10024c4e => [ 'ATI|3D Rage L Mobility AGP 2x', 'Server:Mach64' ],
0x10024c50 => [ 'ATI|3D Rage LT Pro', 'Server:Mach64' ],
0x10024c51 => [ 'ATI|3D Rage LT Pro', 'Server:Mach64' ],
0x10024c52 => [ 'ATI|3D Rage P/M Mobility', 'Server:Mach64' ],
0x10024c53 => [ 'ATI|3D Rage L Mobility', 'Server:Mach64' ],
0x10024c54 => [ 'ATI|264LT [Mach64 LT]', 'Server:Mach64' ],
0x10025041 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025042 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025043 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025044 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025045 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025046 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025047 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025048 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025049 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x1002504a => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x1002504b => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x1002504c => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x1002504d => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x1002504e => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x1002504f => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025050 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025051 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025052 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025053 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025054 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025055 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025056 => [ 'ATI|Rage 128 Pro', 'Server:Rage128' ],
0x10025057 => [ 'ATI|Rage 128 Pro AGP 2x', 'Server:Rage128' ],
0x10025058 => [ 'ATI|Rage 128 Pro AGP 4x', 'Server:Rage128' ],
0x10025245 => [ 'ATI|Rage 128 GL', 'Server:Rage128' ],
0x10025246 => [ 'ATI|Rage 128 GL AGP 1x/2x', 'Server:Rage128' ],
0x1002524b => [ 'ATI|Rage 128 VR', 'Server:Rage128' ],
0x1002524c => [ 'ATI|Rage 128 VR AGP 1x/2x', 'Server:Rage128' ],
0x10025345 => [ 'ATI|Rage 128 4x', 'Server:Rage128' ],
0x10025346 => [ 'ATI|Rage 128 4x AGP 2x', 'Server:Rage128' ],
0x10025347 => [ 'ATI|Rage 128 4x AGP 4x', 'Server:Rage128' ],
0x10025348 => [ 'ATI|Rage 128 4x', 'Server:Rage128' ],
0x1002534b => [ 'ATI|Rage 128 4x', 'Server:Rage128' ],
0x1002534c => [ 'ATI|Rage 128 4x AGP 2x', 'Server:Rage128' ],
0x1002534d => [ 'ATI|Rage 128 4x AGP 4x', 'Server:Rage128' ],
0x1002534e => [ 'ATI|Rage 128 4x', 'Server:Rage128' ],
0x10025354 => [ 'ATI|Mach64 ST', 'Server:Mach64' ],
0x10025654 => [ 'ATI|264VT [Mach64 VT]', 'Card:ATI Mach64 VT (264VT)' ],
0x10025655 => [ 'ATI|264VT3 [Mach64 VT3]', 'Card:ATI Mach64 VT (264VT)' ],
0x10025656 => [ 'ATI|264VT4 [Mach64 VT4]', 'Card:ATI Mach64 VT (264VT)' ],
0x10030201 => [ 'ULSI Systems|US201', 'unknown' ],
0x10040005 => [ 'VLSI|82C592-FC1', 'ignore' ],
0x10040006 => [ 'VLSI|82C593-FC1', 'ignore' ],
0x10040007 => [ 'VLSI|82C594-AFC2', 'ignore' ],
0x10040008 => [ 'VLSI|82C596/7 [Wildcat]', 'ignore' ],
0x10040009 => [ 'VLSI|82C597-AFC2', 'ignore' ],
0x1004000c => [ 'VLSI|82C541 [Lynx]', 'ignore' ],
0x1004000d => [ 'VLSI|82C543 [Lynx]', 'ignore' ],
0x10040100 => [ 'VLSI Technology|CPU to PCI Bridge for notebook', 'unknown' ],
0x10040101 => [ 'VLSI|82C532', 'ignore' ],
0x10040102 => [ 'VLSI|82C534', 'ignore' ],
0x10040103 => [ 'VLSI|82C538', 'ignore' ],
0x10040104 => [ 'VLSI|82C535', 'ignore' ],
0x10040105 => [ 'VLSI|82C147', 'ignore' ],
0x10040200 => [ 'VLSI|82C975', 'ignore' ],
0x10040280 => [ 'VLSI|82C925', 'ignore' ],
0x10040702 => [ 'VLSI|VAS96011 [Golden Gate II]', 'ignore' ],
0x10052064 => [ 'Avance Logic Inc. [ALI]|ALG2032/2064', 'ignore' ],
0x10052128 => [ 'Avance Logic Inc. [ALI]|ALG2364A', 'ignore' ],
0x10052301 => [ 'Avance Logic Inc. [ALI]|ALG2301', 'Server:SVGA' ],
0x10052302 => [ 'Avance Logic Inc. [ALI]|ALG2302', 'ignore' ],
0x10052364 => [ 'Avance Logic Inc. [ALI]|ALG2364', 'ignore' ],
0x10052464 => [ 'Avance Logic Inc. [ALI]|ALG2364A', 'ignore' ],
0x10052501 => [ 'Avance Logic Inc. [ALI]|ALG2564A/25128A', 'ignore' ],
0x100b0001 => [ 'National Semi|DP83810', 'ignore' ],
0x100b0002 => [ 'National Semi|87415', 'ignore' ],
0x100b000f => [ 'National Semiconductor|OHCI Compliant FireWire Controller', 'unknown' ],
0x100b0011 => [ 'National Semiconductor|National PCI System I/O', 'unknown' ],
0x100b0012 => [ 'National Semiconductor|USB Controller', 'unknown' ],
0x100bd001 => [ 'National Semiconductor|87410', 'Server:Mach64' ],
0x100c3202 => [ 'Tseng Labs Inc|ET4000/W32p rev A', 'Card:ET4000 W32i' ],
0x100c3205 => [ 'Tseng Labs Inc|ET4000/W32p rev B', 'Card:ET4000 W32i' ],
0x100c3206 => [ 'Tseng Labs Inc|ET4000/W32p rev C', 'Card:ET4000 W32i' ],
0x100c3207 => [ 'Tseng Labs Inc|ET4000/W32p rev D', 'Card:ET4000 W32i' ],
0x100c3208 => [ 'Tseng Labs Inc|ET6000', 'Card:ET6000 (generic)' ],
0x100c4702 => [ 'Tseng Labs Inc|ET6300', 'Server:SVGA' ],
0x100e9000 => [ 'Weitek|P9000', 'Server:P9000' ],
0x100e9001 => [ 'Weitek|P9000', 'Server:P9000' ],
0x100e9100 => [ 'Weitek|P9100', 'Server:P9000' ],
0x10110001 => [ 'DEC|DECchip 21050', 'tulip' ],
0x10110002 => [ 'DEC|DECchip 21040 [Tulip]', 'tulip' ],
0x10110004 => [ 'DIGITAL|21030/TGA', 'Server:SVGA' ],
0x10110007 => [ 'DEC|NVRAM [Zephyr NVRAM]', 'unknown' ],
0x10110008 => [ 'DEC|KZPSA [KZPSA]', 'unknown' ],
0x10110009 => [ 'DEC|DECchip 21140 [FasterNet]', 'tulip' ],
0x1011000a => [ 'DEC|21230 Video Codec', 'unknown' ],
0x1011000d => [ 'DEC|PBXGB [TGA2]', 'Server:SVGA' ],
0x1011000f => [ 'DEC|DEFPA', 'unknown' ],
0x10110014 => [ 'DEC|DECchip 21041 [Tulip Pass 3]', 'tulip' ],
0x10110016 => [ 'DEC|DGLPB [OPPO]', 'unknown' ],
0x10110019 => [ 'DEC|DECchip 21142/43', 'tulip' ],
0x10110021 => [ 'DEC|DECchip 21052', 'unknown' ],
0x10110022 => [ 'DEC|DECchip 21150', 'unknown' ],
0x10110024 => [ 'DEC|DECchip 21152', 'unknown' ],
0x10110025 => [ 'DEC|DECchip 21153', 'unknown' ],
0x10110026 => [ 'DEC|DECchip 21154', 'unknown' ],
0x10110045 => [ 'DEC|DECchip 21553', 'unknown' ],
0x10110046 => [ 'DEC|DECchip 21554 [Compaq Smart Array Controller]', 'cpqarray' ],
0x10111065 => [ 'DEC|RAID Controller', 'unknown' ],
0x10130038 => [ 'Cirrus Logic|GD 7548', 'Card:Cirrus Logic GD754x (laptop)' ],
0x10130040 => [ 'Cirrus Logic|GD7555 Flat Panel GUI Accelerator', 'Server:SVGA' ],
0x1013004c => [ 'Cirrus Logic|GD7556 Video/Graphics LCD/CRT Ctrlr', 'Server:SVGA' ],
0x101300a0 => [ 'Cirrus Logic|GD 5430/40 [Alpine]', 'Card:Cirrus Logic GD543x' ],
0x101300a2 => [ 'Cirrus Logic|GD 5432 [Alpine]', 'Card:Cirrus Logic GD543x' ],
0x101300a4 => [ 'Cirrus Logic|GD 5434-4 [Alpine]', 'Card:Cirrus Logic GD543x' ],
0x101300a8 => [ 'Cirrus Logic|GD 5434-8 [Alpine]', 'Card:Cirrus Logic GD543x' ],
0x101300ac => [ 'Cirrus Logic|GD 5436 [Alpine]', 'Card:Cirrus Logic GD543x' ],
0x101300b0 => [ 'Cirrus Logic|GD 5440', 'Card:Cirrus Logic GD544x' ],
0x101300b8 => [ 'Cirrus Logic|GD 5446', 'Card:Cirrus Logic GD544x' ],
0x101300bc => [ 'Cirrus Logic|GD 5480', 'Card:Cirrus Logic GD5480' ],
0x101300d0 => [ 'Cirrus Logic|GD 5462', 'Card:Cirrus Logic GD5462' ],
0x101300d2 => [ 'Cirrus Logic|GD 5462 [Laguna I]', 'Card:Cirrus Logic GD5462' ],
0x101300d4 => [ 'Cirrus Logic|GD 5464 [Laguna]', 'Card:Cirrus Logic GD5464' ],
0x101300d5 => [ 'Cirrus Logic|GD5464BD', 'Server:SVGA' ],
0x101300d6 => [ 'Cirrus Logic|GD 5465 [Laguna]', 'Card:Cirrus Logic GD5465' ],
0x101300e8 => [ 'Cirrus Logic|GD 5436U', 'Card:Cirrus Logic GD543x' ],
0x10131100 => [ 'Cirrus Logic|CL 6729', 'Card:Cirrus Logic GD6729' ],
0x10131110 => [ 'Cirrus Logic|PD 6832', 'Server:SVGA' ],
0x10131112 => [ 'Cirrus Logic|PD 6834 PCMCIA/CardBus Ctrlr', 'unknown' ],
0x10131113 => [ 'Cirrus Logic|PD 6833 PCMCIA/CardBus Ctrlr', 'unknown' ],
0x10131200 => [ 'Cirrus Logic|GD 7542 [Nordic]', 'Card:Cirrus Logic GD754x (laptop)' ],
0x10131202 => [ 'Cirrus Logic|GD 7543 [Viking]', 'Card:Cirrus Logic GD754x (laptop)' ],
0x10131204 => [ 'Cirrus Logic|GD 7541 [Nordic Light]', 'Card:Cirrus Logic GD754x (laptop)' ],
0x10134400 => [ 'Cirrus Logic|CD 4400', 'unknown' ],
0x10136001 => [ 'Cirrus Logic|CS 4610/11 [CrystalClear SoundFusion Audio Accelerator]', 'alsa' ],
0x10136003 => [ 'Cirrus Logic|CS 4614/22/24 [CrystalClear SoundFusion Audio Accelerator]', 'alsa' ],
0x10140002 => [ 'IBM|PCI to MCA Bridge', 'unknown' ],
0x10140005 => [ 'IBM|Alta Lite', 'unknown' ],
0x10140007 => [ 'IBM|Alta MP', 'unknown' ],
0x1014000a => [ 'IBM|Fire Coral', 'Server:SVGA' ],
0x10140017 => [ 'IBM|CPU to PCI Bridge', 'unknown' ],
0x10140018 => [ 'IBM|TR Auto LANstreamer', 'ibmtr' ],
0x1014001b => [ 'IBM|GXT-150P', 'unknown' ],
0x1014001d => [ 'IBM|82G2675', 'Server:SVGA' ],
0x10140020 => [ 'IBM|MCA', 'unknown' ],
0x10140022 => [ 'IBM|IBM27-82351', 'Server:SVGA' ],
0x1014002d => [ 'IBM|Python', 'unknown' ],
0x1014002e => [ 'IBM|ServeRAID controller', 'ips' ],
0x10140036 => [ 'IBM|Miami', 'unknown' ],
0x1014003e => [ 'IBM|TR_Wake', 'unknown' ],
0x10140046 => [ 'IBM|MPIC interrupt controller', 'unknown' ],
0x10140047 => [ 'IBM|PCI to PCI Bridge', 'unknown' ],
0x10140048 => [ 'IBM|PCI to PCI Bridge', 'unknown' ],
0x10140053 => [ 'IBM|25 MBit ATM Controller', 'unknown' ],
0x10140057 => [ 'IBM|MPEG PCI Bridge', 'unknown' ],
0x1014005c => [ 'IBM|i82557B 10/100 PCI Ethernet Adapter', 'eepro100' ],
0x1014007d => [ 'IBM|3780IDSP [MWave]', 'unknown' ],
0x10140095 => [ 'IBM|20H2999 PCI Docking Bridge', 'unknown' ],
0x101400b7 => [ 'IBM|256-bit Graphics Rasterizer [Fire GL1]', 'unknown' ],
0x1014ffff => [ 'IBM|MPIC-2 interrupt controller', 'unknown' ],
0x10175343 => [ 'SPEA Software AG|SPEA 3D Accelerator', 'unknown' ],
0x101a0005 => [ 'AT&T GIS (NCR)|100VG ethernet', 'unknown' ],
0x101c0193 => [ 'Western Digital|33C193A', 'unknown' ],
0x101c0196 => [ 'Western Digital|33C196A', 'unknown' ],
0x101c0197 => [ 'Western Digital|33C197A', 'unknown' ],
0x101c0296 => [ 'Western Digital|33C296A', 'unknown' ],
0x101c3193 => [ 'Western Digital|7193', 'unknown' ],
0x101c3197 => [ 'Western Digital|7197', 'unknown' ],
0x101c3296 => [ 'Western Digital|33C296A', 'unknown' ],
0x101c4296 => [ 'Western Digital|34C296', 'unknown' ],
0x101c9710 => [ 'Western Digital|Pipeline 9710', 'unknown' ],
0x101c9712 => [ 'Western Digital|Pipeline 9712', 'unknown' ],
0x101cc24a => [ 'Western Digital|90C', 'unknown' ],
0x101e9010 => [ 'AMI|MegaRAID', 'megaraid' ],
0x101e9030 => [ 'American Megatrends Inc|EIDE Controller', 'unknown' ],
0x101e9031 => [ 'American Megatrends Inc|EIDE Controller', 'unknown' ],
0x101e9032 => [ 'American Megatrends Inc|EIDE & SCSI Controller', 'unknown' ],
0x101e9033 => [ 'American Megatrends Inc|SCSI Controller', 'unknown' ],
0x101e9040 => [ 'American Megatrends Inc|Multimedia card', 'unknown' ],
0x101e9060 => [ 'AMI|MegaRAID', 'megaraid' ],
0x10222000 => [ 'Advanced Micro Devices [AMD]|79c970 [PCnet LANCE]', 'pcnet32' ],
0x10222001 => [ 'Advanced Micro Devices [AMD]|79c978 [HomePNA]', 'unknown' ],
0x10222020 => [ 'Advanced Micro Devices [AMD]|53c974 [PCscsi]', 'AM53C974' ],
0x10222040 => [ 'Advanced Micro Devices [AMD]|79c974', 'unknown' ],
0x10227006 => [ 'Advanced Micro Devices (AMD)|AMD-751 AGP Host to PCI bridge', 'unknown' ],
0x10227007 => [ 'Advanced Micro Devices (AMD)|AMD-751 PCI to PCI bridge', 'unknown' ],
0x10227400 => [ 'Advanced Micro Devices (AMD)|AMD-755 PCI to ISA bridge', 'unknown' ],
0x10227401 => [ 'Advanced Micro Devices (AMD)|AMD-755 (Cobra) Bus Master IDE controller', 'unknown' ],
0x10227403 => [ 'Advanced Micro Devices (AMD)|AMD-755 Power Management Controller', 'unknown' ],
0x10227404 => [ 'Advanced Micro Devices (AMD)|AMD-755 PCI to USB Open Host Controller', 'usb-ohci' ],
0x10227408 => [ 'Advanced Micro Devices (AMD)|AMD-756 PCI to ISA bridge', 'unknown' ],
0x10227409 => [ 'Advanced Micro Devices (AMD)|AMD-756 (Viper) Bus Master IDE controller', 'unknown' ],
0x1022740b => [ 'Advanced Micro Devices (AMD)|AMD-756 Power Management Controller', 'unknown' ],
0x1022740c => [ 'Advanced Micro Devices (AMD)|AMD-756 PCI to USB Open Host Controller', 'usb-ohci' ],
0x10230194 => [ 'Trident Microsystems|82C194', 'unknown' ],
0x10232000 => [ 'Trident Microsystems|4DWave DX', 'alsa' ],
0x10232001 => [ 'Trident Microsystems|4DWave NX', 'alsa' ],
0x10238400 => [ 'Trident Microsystems|CyberBlade/i7', 'unknown' ],
0x10238420 => [ 'Trident Microsystems|CyberBlade/i7d', 'unknown' ],
0x10238500 => [ 'Trident Microsystems|CyberBlade/i1', 'unknown' ],
0x10239320 => [ 'Trident Microsystems|TGUI 9320', 'Card:Trident Cyber 9320 (generic)' ],
0x10239350 => [ 'Trident Microsystems|GUI Accelerator', 'unknown' ],
0x10239360 => [ 'Trident Microsystems|Flat panel GUI Accelerator', 'unknown' ],
0x10239382 => [ 'Trident Microsystems|Cyber 9382 [Reference design]', 'Card:Trident Cyber 9382 (generic)' ],
0x10239383 => [ 'Trident Microsystems|Cyber 9383 [Reference design]', 'unknown' ],
0x10239385 => [ 'Trident Microsystems|Cyber 9385 [Reference design]', 'Card:Trident Cyber 9385 (generic)' ],
0x10239386 => [ 'Trident Microsystems|Cyber 9386', 'unknown' ],
0x10239388 => [ 'Trident Microsystems|Cyber 9388', 'Card:Trident Cyber 9388 (generic)' ],
0x10239397 => [ 'Trident Microsystems|Cyber 9397', 'Card:Trident Cyber 9397 (generic)' ],
0x1023939a => [ 'Trident Microsystems|Cyber 9397DVD', 'Card:Trident Cyber 9397 DVD (generic)' ],
0x10239420 => [ 'Trident Microsystems|TGUI 9420', 'Card:Trident TGUI9420DGi (generic)' ],
0x10239430 => [ 'Trident Microsystems|TGUI 9430', 'Card:Trident TGUI9430DGi (generic)' ],
0x10239440 => [ 'Trident Microsystems|TGUI 9440', 'Card:Trident TGUI9440 (generic)' ],
0x10239460 => [ 'Trident Microsystems|TGUI 9460', 'unknown' ],
0x10239470 => [ 'Trident Microsystems|TGUI 9470', 'unknown' ],
0x10239520 => [ 'Trident Microsystems|Cyber 9520', 'Server:SVGA' ],
0x10239525 => [ 'Trident Microsystems|Cyber 9525', 'Card:Trident Cyber 9525 (generic)' ],
0x10239660 => [ 'Trident Microsystems|TGUI 9660/968x/968x', 'Card:Trident TGUI9660 (generic)' ],
0x10239680 => [ 'Trident Microsystems|TGUI 9680', 'Card:Trident TGUI9680 (generic)' ],
0x10239682 => [ 'Trident Microsystems|TGUI 9682', 'Card:Trident TGUI9682 (generic)' ],
0x10239683 => [ 'Trident Microsystems|TGUI 9683', 'unknown' ],
0x10239685 => [ 'Trident Microsystems|ProVIDIA 9685', 'Card:Trident TGUI9685 (generic)' ],
0x10239750 => [ 'Trident Microsystems|3DImage 975', 'Card:Trident 3DImage975 (generic)' ],
0x10239753 => [ 'Trident Microsystems|TGUI 9753', 'unknown' ],
0x10239754 => [ 'Trident Microsystems|TGUI 9754', 'unknown' ],
0x10239759 => [ 'Trident Microsystems|TGUI 975', 'unknown' ],
0x10239783 => [ 'Trident Microsystems|TGUI 9783', 'unknown' ],
0x10239785 => [ 'Trident Microsystems|TGUI 9785', 'unknown' ],
0x10239850 => [ 'Trident Microsystems|3DImage 9850', 'Card:Trident 3DImage985 (generic)' ],
0x10239880 => [ 'Trident Microsystems|Blade 3D PCI/AGP', 'Card:Trident Blade3D (generic)' ],
0x10251435 => [ 'Acer Incorporated [ALI]|M1435', 'ignore' ],
0x10251445 => [ 'Acer Incorporated [ALI]|M1445', 'ignore' ],
0x10251449 => [ 'Acer Incorporated [ALI]|M1449', 'ignore' ],
0x10251451 => [ 'Acer Incorporated [ALI]|M1451', 'ignore' ],
0x10251461 => [ 'Acer Incorporated [ALI]|M1461', 'ignore' ],
0x10251489 => [ 'Acer Incorporated [ALI]|M1489', 'unknown' ],
0x10251511 => [ 'Acer Incorporated [ALI]|M1511', 'unknown' ],
0x10251513 => [ 'Acer Incorporated [ALI]|M1513', 'unknown' ],
0x10251531 => [ 'Acer Incorporated [ALI]|M1531', 'unknown' ],
0x10251533 => [ 'Acer Incorporated [ALI]|M1533', 'unknown' ],
0x10253141 => [ 'Acer Incorporated [ALI]|M3141', 'ignore' ],
0x10253143 => [ 'Acer Incorporated [ALI]|M3143', 'ignore' ],
0x10253145 => [ 'Acer Incorporated [ALI]|M3145', 'ignore' ],
0x10253147 => [ 'Acer Incorporated [ALI]|M3147', 'ignore' ],
0x10253149 => [ 'Acer Incorporated [ALI]|M3149', 'ignore' ],
0x10253151 => [ 'Acer Incorporated [ALI]|M3151', 'ignore' ],
0x10255215 => [ 'Acer Labs Incorporated (ALI)|ALI PCI EIDE Controller', 'unknown' ],
0x10255217 => [ 'Acer Incorporated [ALI]|M5217H', 'unknown' ],
0x10255219 => [ 'Acer Incorporated [ALI]|M5219', 'unknown' ],
0x10255225 => [ 'Acer Incorporated [ALI]|M5225', 'unknown' ],
0x10255229 => [ 'Acer Incorporated [ALI]|M5229', 'unknown' ],
0x10255235 => [ 'Acer Incorporated [ALI]|M5235', 'unknown' ],
0x102a0000 => [ 'LSI Logic|HYDRA', 'unknown' ],
0x102a0010 => [ 'LSI Logic|ASPEN', 'unknown' ],
0x102b0010 => [ 'Matrox|MGA-I [Impression]', 'Server:SVGA' ],
0x102b0100 => [ 'Matrox|Millennium II', 'Server:SVGA' ],
0x102b0518 => [ 'Matrox|MGA-II [Athena]', 'Server:SVGA' ],
0x102b0519 => [ 'Matrox|MGA 2064W [Millennium]', 'Card:Matrox Millennium 4MB' ],
0x102b051a => [ 'Matrox|MGA 1064SG [Mystique]', 'Card:Matrox Mystique' ],
0x102b051b => [ 'Matrox|MGA 2164W [Millennium II]', 'Card:Matrox Millennium II 4MB' ],
0x102b051e => [ 'Matrox|MGA 1064SG [Mystique] AGP', 'Card:Matrox Mystique' ],
0x102b051f => [ 'Matrox|MGA 2164W [Millennium II] AGP', 'Card:Matrox Millennium II 4MB' ],
0x102b0520 => [ 'Matrox|MGA G200', 'Card:Matrox Millennium G200 4MB' ],
0x102b0521 => [ 'Matrox|MGA G200 AGP [Millennium] AGP', 'Card:Matrox Millennium G200 4MB' ],
0x102b0525 => [ 'Matrox|MGA G400 AGP', 'Card:Matrox Millennium G400 16MB' ],
0x102b0d10 => [ 'Matrox|MGA Ultima/Impression', 'Server:SVGA' ],
0x102b1000 => [ 'Matrox|MGA G100 [Productiva]', 'Card:Matrox Millennium G100 4MB' ],
0x102b1001 => [ 'Matrox|MGA G100 [Productiva] AGP', 'Card:Matrox Millennium G100 4MB' ],
0x102b1100 => [ 'Matrox|Mystique', 'Server:SVGA' ],
0x102b2007 => [ 'Matrox|MGA Mistral', 'Server:SVGA' ],
0x102b4536 => [ 'Matrox|VIA Framegrabber', 'unknown' ],
0x102b6573 => [ 'Matrox Graphics Inc|Shark 10/100 Multiport SwitchNIC', 'unknown' ],
0x102bff02 => [ 'Matrox|Mystique G200 SG', 'Server:SVGA' ],
0x102bff03 => [ 'Matrox|Millennium G200 SG', 'Server:SVGA' ],
0x102bff04 => [ 'Matrox|Marvel G200 SD', 'Server:SVGA' ],
0x102c00b8 => [ 'C&T|64310', 'Card:Chips & Technologies CT64300' ],
0x102c00c0 => [ 'C&T|F69000 HiQVideo', 'Server:SVGA' ],
0x102c00d0 => [ 'C&T|F65545', 'unknown' ],
0x102c00d8 => [ 'C&T|65545', 'Card:Chips & Technologies CT65545' ],
0x102c00dc => [ 'C&T|65548', 'Card:Chips & Technologies CT65548' ],
0x102c00e0 => [ 'C&T|65550', 'Card:Chips & Technologies CT65550' ],
0x102c00e4 => [ 'C&T|65554', 'Card:Chips & Technologies CT65554' ],
0x102c00e5 => [ 'C&T|65555', 'Card:Chips & Technologies CT65555' ],
0x102c00f0 => [ 'C&T|F68554', 'Card:Chips & Technologies CT68554' ],
0x102c00f4 => [ 'C&T|F68554 HiQVision', 'Card:Chips & Technologies CT68554' ],
0x102c00f5 => [ 'C&T|F68555', 'unknown' ],
0x102d50dc => [ 'Wyse Technology Inc.|3328 Audio', 'unknown' ],
0x102f0009 => [ 'Toshiba America|r4x00', 'unknown' ],
0x102f0020 => [ 'Toshiba America|ATM Meteor 155', 'unknown' ],
0x10315601 => [ 'Miro|DC20 ASIC (ZR36050)', 'Server:SVGA' ],
0x10315607 => [ 'Miro|Video I/O & motion JPEG compressor', 'unknown' ],
0x10315631 => [ 'Miro|Media 3D', 'unknown' ],
0x10316057 => [ 'Miro|MiroVideo DC10/DC30+', 'unknown' ],
0x10330001 => [ 'NEC|PCI to 486-like bus Bridge', 'ignore' ],
0x10330002 => [ 'NEC|PCI to VL98 Bridge', 'ignore' ],
0x10330003 => [ 'NEC|ATM Controller', 'unknown' ],
0x10330004 => [ 'NEC|R4000 PCI Bridge', 'ignore' ],
0x10330005 => [ 'NEC|PCI to 486-like bus Bridge', 'ignore' ],
0x10330006 => [ 'NEC Electronics Hong Kong|GUI Accelerator', 'unknown' ],
0x10330007 => [ 'NEC|PCI to UX-Bus Bridge', 'ignore' ],
0x10330008 => [ 'NEC Electronics Hong Kong|GUI Accelerator', 'unknown' ],
0x10330009 => [ 'NEC Electronics Hong Kong|GUI Accelerator for 98', 'unknown' ],
0x1033001a => [ 'NEC|[Nile II]', 'unknown' ],
0x10330021 => [ 'NEC|Vrc4373 [Nile I]', 'unknown' ],
0x10330029 => [ 'NEC|PowerVR PCX1', 'unknown' ],
0x1033002a => [ 'NEC|PowerVR 3D', 'unknown' ],
0x10330035 => [ 'NEC|USB', 'usb-ohci' ],
0x10330046 => [ 'NEC|PowerVR PCX2 [midas]', 'unknown' ],
0x1033005a => [ 'NEC|Vrc5074 [Nile 4]', 'unknown' ],
0x10330063 => [ 'NEC|Firewarden', 'unknown' ],
0x10330067 => [ 'NEC|PowerVR Neon 250 Chipset', 'unknown' ],
0x10330074 => [ 'NEC|56k Voice Modem', 'unknown' ],
0x1033009b => [ 'NEC|Vrc5476', 'unknown' ],
0x10360000 => [ 'Future Domain|TMC-18C30 [36C70]', 'fdomain' ],
0x10390001 => [ 'Silicon Integrated Systems [SiS]|5591/5592 AGP', 'Server:SVGA' ],
0x10390002 => [ 'Silicon Integrated Systems [SiS]|SG86C202', 'Server:SVGA' ],
0x10390005 => [ 'Silicon Integrated Systems [SiS]|Pentium Chipset', 'unknown' ],
0x10390006 => [ 'Silicon Integrated Systems [SiS]|85C501/2/3', 'unknown' ],
0x10390008 => [ 'Silicon Integrated Systems [SiS]|85C503/5513', 'unknown' ],
0x10390009 => [ 'Silicon Integrated Systems [SiS]|ACPI', 'unknown' ],
0x10390200 => [ 'Silicon Integrated Systems [SiS]|5597/5598 VGA', 'Card:SiS 5598' ],
0x10390204 => [ 'Silicon Integrated Systems [SiS]|82C204', 'unknown' ],
0x10390205 => [ 'Silicon Integrated Systems [SiS]|SG86C205', 'Card:SiS SG86C205' ],
0x10390215 => [ 'SIS|SG86C215', 'Server:SVGA' ],
0x10390225 => [ 'SIS|SG86C225', 'Server:SVGA' ],
0x10390406 => [ 'Silicon Integrated Systems [SiS]|85C501/2', 'unknown' ],
0x10390496 => [ 'Silicon Integrated Systems [SiS]|85C496', 'unknown' ],
0x10390530 => [ 'Silicon Integrated Systems [SiS]|530 Host', 'Card:SiS 530' ],
0x10390540 => [ 'Silicon Integrated Systems [SiS]|540 Host', 'unknown' ],
0x10390596 => [ 'Silicon Integrated Systems [SiS]|Pentium PCI Chipset with IDE', 'unknown' ],
0x10390597 => [ 'Silicon Integrated Systems [SiS]|5513C', 'unknown' ],
0x10390601 => [ 'Silicon Integrated Systems [SiS]|85C601', 'unknown' ],
0x10390620 => [ 'Silicon Integrated Systems [SiS]|620 Host', 'Card:SiS 620' ],
0x10390630 => [ 'Silicon Integrated Systems [SiS]|630 Host', 'unknown' ],
0x10390900 => [ 'Silicon Integrated Systems [SiS]|SiS900 10/100 Ethernet', 'unknown' ],
0x10393602 => [ 'Silicon Integrated Systems [SiS]|83C602', 'unknown' ],
0x10395107 => [ 'Silicon Integrated Systems [SiS]|5107', 'unknown' ],
0x10395401 => [ 'Silicon Integrated Systems (SiS)|486 PCI Chipset', 'unknown' ],
0x10395511 => [ 'Silicon Integrated Systems [SiS]|5511/5512', 'unknown' ],
0x10395513 => [ 'Silicon Integrated Systems [SiS]|5513', 'unknown' ],
0x10395517 => [ 'Silicon Integrated Systems [SiS]|5517', 'unknown' ],
0x10395571 => [ 'Silicon Integrated Systems [SiS]|5571', 'unknown' ],
0x10395581 => [ 'Silicon Integrated Systems [SiS]|Pentium Chipset', 'unknown' ],
0x10395582 => [ 'Silicon Integrated Systems [SiS]|PCI to ISA Bridge', 'unknown' ],
0x10395591 => [ 'Silicon Integrated Systems [SiS]|5591/5592 Host', 'unknown' ],
0x10395596 => [ 'Silicon Integrated Systems [SiS]|SiS5596 Pentium Chipset', 'unknown' ],
0x10395597 => [ 'Silicon Integrated Systems [SiS]|5597 [SiS5582]', 'Card:SiS 5597' ],
0x10395600 => [ 'Silicon Integrated Systems [SiS]|5600 Host', 'unknown' ],
0x10396204 => [ 'Silicon Integrated Systems [SiS]|Video decoder & MPEG interface', 'unknown' ],
0x10396205 => [ 'Silicon Integrated Systems [SiS]|VGA Controller', 'unknown' ],
0x10396226 => [ 'Silicon Integrated Systems [SiS]|6326 AGP', 'Card:SiS 6326' ],
0x10396236 => [ 'Silicon Integrated Systems [SiS]|6236 AGP', 'Card:SiS 6326' ],
0x10396306 => [ 'Silicon Integrated Systems [SiS]|6306', 'Server:SVGA' ],
0x10396326 => [ 'Silicon Integrated Systems [SiS]|86C326', 'Card:SiS 6326' ],
0x10397001 => [ 'Silicon Integrated Systems [SiS]|7001 USB', 'unknown' ],
0x10397007 => [ 'Silicon Integrated Systems [SiS]|OHCI Compliant FireWire Controller', 'unknown' ],
0x103c1030 => [ 'HP|J2585A', 'hp100' ],
0x103c1031 => [ 'HP|J2585B', 'hp100' ],
0x103c1040 => [ 'HP|J2973A DeskDirect 10BaseT NIC', 'unknown' ],
0x103c1041 => [ 'HP|J2585B DeskDirect 10/100 NIC', 'unknown' ],
0x103c1042 => [ 'HP|J2970A DeskDirect 10BaseT/2 NIC', 'unknown' ],
0x103c1064 => [ 'HP|79C970 PCnet Ethernet Controller', 'unknown' ],
0x103c2910 => [ 'HP|E2910A', 'unknown' ],
0x103c2925 => [ 'HP|E2925A', 'unknown' ],
0x10421000 => [ 'Micron|FDC 37C665', 'unknown' ],
0x10421001 => [ 'Micron|37C922', 'unknown' ],
0x10423000 => [ 'Micron|Samurai_0', 'unknown' ],
0x10423010 => [ 'Micron|Samurai_1', 'unknown' ],
0x10423020 => [ 'Micron|Samurai_IDE', 'unknown' ],
0x10441012 => [ 'Distributed Tech|Domino RAID Engine', 'unknown' ],
0x1044a400 => [ 'Distributed Tech|SmartCache/Raid I-IV Controller', 'eata' ],
0x1044a500 => [ 'Distributed Tech|PCI Bridge', 'ignore' ],
0x1044a501 => [ 'Distributed Tech|SmartRAID V Controller', 'unknown' ],
0x1045a0f8 => [ 'OPTi Inc.|82C750 [Vendetta] USB Controller', 'usb-ohci' ],
0x1045c101 => [ 'OPTi Inc.|92C264', 'unknown' ],
0x1045c178 => [ 'OPTi Inc.|92C178', 'ignore' ],
0x1045c556 => [ 'OPTi Inc.|82X556 [Viper]', 'unknown' ],
0x1045c557 => [ 'OPTi Inc.|82C557 [Viper-M]', 'ignore' ],
0x1045c558 => [ 'OPTi Inc.|82C558 [Viper-M ISA+IDE]', 'ignore' ],
0x1045c567 => [ 'OPTi Inc.|82C750 [Vendetta], device 0', 'unknown' ],
0x1045c568 => [ 'OPTi Inc.|82C750 [Vendetta], device 1', 'unknown' ],
0x1045c569 => [ 'OPTi Inc.|82C579 [Viper XPress+ Chipset]', 'unknown' ],
0x1045c621 => [ 'OPTi Inc.|82C621', 'ignore' ],
0x1045c700 => [ 'OPTi Inc.|82C700', 'ignore' ],
0x1045c701 => [ 'OPTi Inc.|82C701 [FireStar Plus]', 'ignore' ],
0x1045c814 => [ 'OPTi Inc.|82C814 [Firebridge 1]', 'ignore' ],
0x1045c822 => [ 'OPTi Inc.|82C822', 'ignore' ],
0x1045c824 => [ 'OPTi Inc.|82C824', 'ignore' ],
0x1045c825 => [ 'OPTi Inc.|82C825 [Firebridge 2]', 'unknown' ],
0x1045c861 => [ 'OPTi Inc.|82C861', 'usb-ohci' ],
0x1045c895 => [ 'OPTi Inc.|82C895', 'unknown' ],
0x1045d568 => [ 'OPTi Inc.|82C825 [Firebridge 2]', 'ignore' ],
0x10480a32 => [ 'Elsa|Gloria Synergy', 'Server:3DLabs' ],
0x10481000 => [ 'Elsa AG|QuickStep 1000pro', 'unknown' ],
0x10483000 => [ 'Elsa AG|QuickStep 3000', 'unknown' ],
0x104a0008 => [ 'SGS Thomson|STG 2000X', 'unknown' ],
0x104a0009 => [ 'SGS Thomson|STG 1764X', 'unknown' ],
0x104a1746 => [ 'SGS Thomson|STG 1764X', 'unknown' ],
0x104a3520 => [ 'SGS Thomson|MPEG-II decoder card', 'unknown' ],
0x104b0140 => [ 'BusLogic|BT-946C (old) [multimaster 01]', 'BusLogic' ],
0x104b1040 => [ 'BusLogic|BT-946C (BA80C30) [MultiMaster 10]', 'BusLogic' ],
0x104b8130 => [ 'BusLogic|Flashpoint LT', 'BusLogic' ],
0x104c0500 => [ 'Texas Instruments|100 MBit LAN Controller', 'unknown' ],
0x104c0508 => [ 'Texas Instruments|TMS380C2X Compressor Interface', 'unknown' ],
0x104c1000 => [ 'Texas Instruments|Eagle i/f AS', 'unknown' ],
0x104c3d04 => [ 'Texas Instruments|TVP4010 [Permedia]', 'Server:3DLabs' ],
0x104c3d07 => [ 'Texas Instruments|TVP4020 [Permedia 2]', 'Server:3DLabs' ],
0x104c8000 => [ 'Texas Instruments|LYNX FireWire Host Controller', 'unknown' ],
0x104c8009 => [ 'Texas Instruments|OHCI Compliant FireWire Controller', 'unknown' ],
0x104c8019 => [ 'Texas Instruments|TSB12LV23 OHCI Compliant IEEE-1394 Controller', 'unknown' ],
0x104ca001 => [ 'Texas Instruments|TDC1570', 'ignore' ],
0x104ca100 => [ 'Texas Instruments|TDC1561', 'ignore' ],
0x104cac10 => [ 'Texas Instruments|PCI1050', 'ignore' ],
0x104cac11 => [ 'Texas Instruments|PCI1053', 'ignore' ],
0x104cac12 => [ 'Texas Instruments|PCI1130', 'Server:SVGA' ],
0x104cac13 => [ 'Texas Instruments|PCI1031', 'ignore' ],
0x104cac15 => [ 'Texas Instruments|PCI1131', 'Server:SVGA' ],
0x104cac16 => [ 'Texas Instruments|PCI1250', 'ignore' ],
0x104cac17 => [ 'Texas Instruments|PCI1220', 'ignore' ],
0x104cac18 => [ 'Texas Instruments|PCI1260', 'unknown' ],
0x104cac19 => [ 'Texas Instruments|PCI1221', 'unknown' ],
0x104cac1a => [ 'Texas Instruments|PCI1210', 'unknown' ],
0x104cac1b => [ 'Texas Instruments|PCI1221', 'unknown' ],
0x104cac1c => [ 'Texas Instruments|PCI1225', 'unknown' ],
0x104cac1d => [ 'Texas Instruments|PCI1251', 'unknown' ],
0x104cac1e => [ 'Texas Instruments (TI)|PCI1211 PC card CardBus Controller', 'unknown' ],
0x104cac20 => [ 'Texas Instruments|TI 2030', 'unknown' ],
0x104cac30 => [ 'Texas Instruments (TI)|PCI1260 PC card CardBus Controller', 'unknown' ],
0x104cfe00 => [ 'Texas Instruments|FireWire Host Controller', 'unknown' ],
0x104cfe03 => [ 'Texas Instruments|12C01A FireWire Host Controller', 'unknown' ],
0x104d8039 => [ 'Sony Corporation|CXD3222 iLINK Controller', 'unknown' ],
0x104e0017 => [ 'Oak Technology, Inc|OTI-64017', 'unknown' ],
0x104e0107 => [ 'Oak Technology, Inc|OTI-107 [Spitfire]', 'Server:SVGA' ],
0x104e0109 => [ 'Oak Technology, Inc|Video Adapter', 'unknown' ],
0x104e0111 => [ 'Oak Technology, Inc|OTI-64111 [Spitfire]', 'unknown' ],
0x104e0217 => [ 'Oak Technology, Inc|OTI-64217', 'unknown' ],
0x104e0317 => [ 'Oak Technology, Inc|OTI-64317', 'unknown' ],
0x10500000 => [ 'Winbond Electronics Corp|NE2000', 'ne2k-pci' ],
0x10500001 => [ 'Winbond Electronics Corp|W83769F', 'unknown' ],
0x10500105 => [ 'Winbond Electronics Corp|W82C105', 'unknown' ],
0x10500840 => [ 'Winbond Electronics Corp|89C840', 'unknown' ],
0x10500940 => [ 'Winbond Electronics Corp|89C940', 'ne2k-pci' ],
0x10505a5a => [ 'Winbond Electronics Corp|W89C940F', 'unknown' ],
0x10509970 => [ 'Winbond Electronics Corp|W9970CF', 'unknown' ],
0x15070001 => [ 'Motorola Computer Group|MPC105 [Eagle]', 'unknown' ],
0x15070002 => [ 'Motorola Computer Group|MPC106 [Grackle]', 'unknown' ],
0x15070431 => [ 'Motorola Computer Group|KTI829c 100VG', 'unknown' ],
0x15074801 => [ 'Motorola Computer Group|Raven', 'unknown' ],
0x15074802 => [ 'Motorola Computer Group|Falcon', 'unknown' ],
0x15074803 => [ 'Motorola Computer Group|Hawk', 'unknown' ],
0x15074806 => [ 'Motorola Computer Group|CPX8216', 'unknown' ],
0x10540001 => [ 'Hitachi Ltd|PCI Bridge', 'unknown' ],
0x10540002 => [ 'Hitachi Ltd|PCI Bus Controller', 'unknown' ],
0x10550810 => [ 'EFAR Microsystems|486 Host Bridge', 'unknown' ],
0x10550922 => [ 'EFAR Microsystems|Pentium Host Bridge', 'unknown' ],
0x10550926 => [ 'EFAR Microsystems|PCI to ISA Bridge', 'unknown' ],
0x10570001 => [ 'Motorola Computer Group|MPC105 [Eagle]', 'ignore' ],
0x10570002 => [ 'Motorola Computer Group|MPC106 [Grackle]', 'ignore' ],
0x10570100 => [ 'Motorola Computer Group|MC145575 [HFC-PCI]', 'unknown' ],
0x10570431 => [ 'Motorola Computer Group|KTI829c 100VG', 'unknown' ],
0x10574801 => [ 'Motorola Computer Group|Raven', 'ignore' ],
0x10574802 => [ 'Motorola Computer Group|Falcon', 'unknown' ],
0x10574803 => [ 'Motorola Computer Group|Hawk', 'unknown' ],
0x10574806 => [ 'Motorola Computer Group|CPX8216', 'unknown' ],
0x105a4d33 => [ 'Promise Technology, Inc.|20246', 'unknown' ],
0x105a4d38 => [ 'Promise Technology, Inc.|20262', 'unknown' ],
0x105a5300 => [ 'Promise Technology, Inc.|DC5300', 'unknown' ],
0x105d2309 => [ 'Number 9|Imagine 128', 'Card:Number Nine Imagine I-128 (2-8MB)' ],
0x105d2339 => [ 'Number 9|Imagine 128-II', 'Card:Number Nine Imagine I-128 Series 2 (2-4MB)' ],
0x105d493d => [ 'Number 9|Imagine 128 T2R [Ticket to Ride]', 'Card:Number Nine Imagine-128-T2R' ],
0x105d5348 => [ 'Number 9|Revolution 4 (Imagine 128)', 'Server:I128' ],
0x10600001 => [ 'United Microelectronics [UMC]|UM82C881', 'ignore' ],
0x10600002 => [ 'United Microelectronics [UMC]|UM82C886', 'ignore' ],
0x10600101 => [ 'United Microelectronics [UMC]|UM8673F', 'ignore' ],
0x10600881 => [ 'United Microelectronics [UMC]|UM8881', 'ignore' ],
0x10600886 => [ 'United Microelectronics [UMC]|UM8886F', 'ignore' ],
0x10600891 => [ 'United Microelectronics [UMC]|UM8891A', 'ignore' ],
0x10601001 => [ 'United Microelectronics [UMC]|UM886A', 'ignore' ],
0x1060673a => [ 'United Microelectronics [UMC]|UM8886BF', 'ignore' ],
0x1060673b => [ 'United Microelectronics (UMC)|EIDE Master/DMA', 'unknown' ],
0x10608710 => [ 'United Microelectronics [UMC]|UM8710', 'ignore' ],
0x10608821 => [ 'United Microelectronics (UMC)|CPU/PCI Bridge', 'unknown' ],
0x10608822 => [ 'United Microelectronics (UMC)|PCI/ISA Bridge', 'unknown' ],
0x10608851 => [ 'United Microelectronics (UMC)|Pentium CPU/PCIBridge', 'unknown' ],
0x10608852 => [ 'United Microelectronics (UMC)|Pentium CPU/ISA Bridge', 'unknown' ],
0x1060886a => [ 'United Microelectronics [UMC]|UM8886A', 'ignore' ],
0x10608881 => [ 'United Microelectronics [UMC]|UM8881F', 'ignore' ],
0x10608886 => [ 'United Microelectronics [UMC]|UM8886F', 'ignore' ],
0x1060888a => [ 'United Microelectronics [UMC]|UM8886A', 'ignore' ],
0x10608891 => [ 'United Microelectronics [UMC]|UM8891A', 'ignore' ],
0x10609017 => [ 'United Microelectronics [UMC]|UM9017F', 'ignore' ],
0x10609018 => [ 'United Microelectronics [UMC]|UM9018', 'unknown' ],
0x10609026 => [ 'United Microelectronics [UMC]|UM9026', 'unknown' ],
0x1060e881 => [ 'United Microelectronics [UMC]|UM8881N', 'ignore' ],
0x1060e886 => [ 'United Microelectronics [UMC]|UM8886N', 'ignore' ],
0x1060e88a => [ 'United Microelectronics (UMC)|UM8886N', 'unknown' ],
0x1060e891 => [ 'United Microelectronics [UMC]|UM8891N', 'ignore' ],
0x10610001 => [ 'I.I.T.|AGX016', 'Server:SVGA' ],
0x10610002 => [ 'I.I.T.|IIT3204/3501', 'unknown' ],
0x10660000 => [ 'PicoPower Technology|PT80C826', 'ignore' ],
0x10660001 => [ 'PicoPower Technology|PT86C52x [Vesuvius]', 'ignore' ],
0x10660002 => [ 'PicoPower Technology|PT80C524 [Nile]', 'ignore' ],
0x10660004 => [ 'Picopower Technology (National)|ISA Bridge', 'unknown' ],
0x10660005 => [ 'PicoPower Technology|National PC87550 System Controller', 'unknown' ],
0x10668002 => [ 'PicoPower Technology|PT80C524 [Nile]', 'ignore' ],
0x10690001 => [ 'Mylex Corporation|DAC960P', 'DAC960' ],
0x10690002 => [ 'Mylex Corporation|DAC960PD', 'DAC960' ],
0x10690010 => [ 'Mylex Corporation|DAC960PX', 'DAC960' ],
0x1069ba55 => [ 'Mylex Corporation|DAC1164P', 'DAC960' ],
0x106b0001 => [ 'Apple Computer Inc.|Bandit PowerPC host bridge', 'ignore' ],
0x106b0002 => [ 'Apple Computer Inc.|Grand Central I/O', 'ignore' ],
0x106b0003 => [ 'Apple Computer Inc.|Control Video', 'ignore' ],
0x106b0004 => [ 'Apple Computer Inc.|PlanB Video-In', 'ignore' ],
0x106b0007 => [ 'Apple Computer Inc.|O\'Hare I/O', 'unknown' ],
0x106b000e => [ 'Apple Computer Inc.|Hydra Mac I/O', 'ignore' ],
0x106b0010 => [ 'Apple Computer Inc.|Heathrow Mac I/O', 'unknown' ],
0x106b0017 => [ 'Apple Computer Inc.|Paddington Mac I/O', 'unknown' ],
0x106c8801 => [ 'Hyundai Electronics America|Dual Pentium ISA/PCI Motherboard', 'unknown' ],
0x106c8802 => [ 'Hyundai Electronics America|PowerPC ISA/PCI Motherboard', 'unknown' ],
0x106c8803 => [ 'Hyundai Electronics America|Dual Window Graphics Accelerator', 'unknown' ],
0x106c8804 => [ 'Hyundai Electronics America|PCI LAN Controller', 'unknown' ],
0x106c8805 => [ 'Hyundai Electronics America|100-BaseT LAN', 'unknown' ],
0x10730001 => [ 'Yamaha Corp|3D GUI Accelerator', 'unknown' ],
0x10730002 => [ 'Yamaha Corporation|YGV615 [RPA3 3D-Graphics Controller]', 'unknown' ],
0x10730003 => [ 'Yamaha Corporation|YMF-740', 'unknown' ],
0x10730004 => [ 'Yamaha Corporation|YMF-724', 'unknown' ],
0x10730005 => [ 'Yamaha Corp|DS1 Audio', 'unknown' ],
0x10730006 => [ 'Yamaha Corp|DS1 Audio', 'unknown' ],
0x10730008 => [ 'Yamaha Corp|DS1 Audio', 'unknown' ],
0x1073000a => [ 'Yamaha Corp|DS1L Audio', 'unknown' ],
0x1073000c => [ 'Yamaha Corporation|YMF-740C [DS-1L Audio Controller]', 'unknown' ],
0x1073000d => [ 'Yamaha Corporation|YMF-724F [DS-1 Audio Controller]', 'unknown' ],
0x10730010 => [ 'Yamaha Corporation|YMF-744B [DS-1S Audio Controller]', 'unknown' ],
0x10730012 => [ 'Yamaha Corporation|YMF-754 [DS-1E Audio Controller]', 'unknown' ],
0x10744e78 => [ 'NexGen Microsystems|82c500/1', 'unknown' ],
0x10771020 => [ 'Q Logic|ISP1020', 'qlogicisp' ],
0x10771022 => [ 'Q Logic|ISP1022', 'qlogicisp' ],
0x10771080 => [ 'Q Logic|ISP1080', 'unknown' ],
0x10771240 => [ 'Q Logic|ISP1240', 'unknown' ],
0x10772020 => [ 'Q Logic|ISP2020A', 'unknown' ],
0x10772100 => [ 'Q Logic|ISP2100', 'qlogicfc' ],
0x10780000 => [ 'Cyrix Corporation|5510 [Grappa]', 'unknown' ],
0x10780001 => [ 'Cyrix Corporation|PCI Master [MEDIAGX]', 'Server:SVGA' ],
0x10780002 => [ 'Cyrix Corporation|5520 [Cognac]', 'Server:SVGA' ],
0x10780100 => [ 'Cyrix Corporation|5530 Legacy [Kahlua]', 'unknown' ],
0x10780101 => [ 'Cyrix Corporation|5530 SMI [Kahlua]', 'unknown' ],
0x10780102 => [ 'Cyrix Corporation|5530 IDE [Kahlua]', 'unknown' ],
0x10780103 => [ 'Cyrix Corporation|5530 Audio [Kahlua]', 'unknown' ],
0x10780104 => [ 'Cyrix Corporation|5530 Video [Kahlua]', 'Server:SVGA' ],
0x107d0000 => [ 'LeadTek Research Inc.|P86C850', 'unknown' ],
0x107e0001 => [ 'Interphase Corporation|ATM Interface Card', 'unknown' ],
0x107e0002 => [ 'Interphase Corporation|100 VG AnyLan Controller', 'unknown' ],
0x107e0008 => [ 'Interphase Corporation|155 Mbit ATM Controller', 'unknown' ],
0x107f0802 => [ 'Data Technology|SL82C105', 'unknown' ],
0x107f0803 => [ 'Data Technology Corp (DTC)|EIDE Bus Master Controller', 'unknown' ],
0x107f0806 => [ 'Data Technology Corp (DTC)|EIDE Controller', 'unknown' ],
0x107f2015 => [ 'Data Technology Corp (DTC)|EIDE Controller', 'unknown' ],
0x10800600 => [ 'Contaq Microsystems|82C599', 'unknown' ],
0x1080c691 => [ 'Contaq Microsystems|Cypress CY82C691', 'unknown' ],
0x1080c693 => [ 'Contaq Microsystems|82c693', 'unknown' ],
0x10810d47 => [ 'Supermac Technology|Radius PCI to NuBUS Bridge', 'ignore' ],
0x10830001 => [ 'Forex|FR710', 'unknown' ],
0x10830613 => [ 'Forex Computer Corp|Host Bridge ??', 'unknown' ],
0x108a0001 => [ 'Bit3 Computer Corp.|VME Bridge Model 617', 'unknown' ],
0x108a0010 => [ 'Bit3 Computer Corp.|VME Bridge Model 618', 'unknown' ],
0x108a3000 => [ 'Bit3 Computer Corp.|VME Bridge Model 2706', 'unknown' ],
0x108d0001 => [ 'Olicom|OC-3136/3137', 'unknown' ],
0x108d0002 => [ 'Olicom|16/4 Token Ring', 'unknown' ],
0x108d0004 => [ 'Olicom|OC-3139/3140 RapidFire Token-Ring 16/4', 'unknown' ],
0x108d0005 => [ 'Olicom|OC-3250 GoCard Token-Ring 16/4', 'unknown' ],
0x108d0006 => [ 'Olicom|OC-3530 RapidFire Token-Ring 100', 'unknown' ],
0x108d0007 => [ 'Olicom|OC-3141 RapidFire Token-Ring 16/4', 'unknown' ],
0x108d0011 => [ 'Olicom|OC-2315', 'unknown' ],
0x108d0012 => [ 'Olicom|OC-2325', 'tlan' ],
0x108d0013 => [ 'Olicom|OC-2183/2185', 'tlan' ],
0x108d0014 => [ 'Olicom|OC-2326', 'tlan' ],
0x108d0021 => [ 'Olicom|OC-6151/6152 [RapidFire ATM PCI 155]', 'unknown' ],
0x108d0022 => [ 'Olicom|ATM Adapter', 'unknown' ],
0x108e0001 => [ 'Sun|EBUS', 'unknown' ],
0x108e1000 => [ 'Sun|EBUS', 'unknown' ],
0x108e1001 => [ 'Sun|Happy Meal', 'sunhme' ],
0x108e5000 => [ 'Sun|Simba Advanced PCI Bridge', 'ignore' ],
0x108e8000 => [ 'Sun|PCI Bus Module', 'unknown' ],
0x108ea000 => [ 'Sun|Ultra IIi PCI', 'unknown' ],
0x10910020 => [ 'Intergraph Corporation|3D graphics processor', 'unknown' ],
0x10910021 => [ 'Intergraph Corporation|3D graphics processor w/Texturing', 'unknown' ],
0x10910040 => [ 'Intergraph Corporation|3D graphics frame buffer', 'unknown' ],
0x10910041 => [ 'Intergraph Corporation|3D graphics frame buffer', 'unknown' ],
0x10910060 => [ 'Intergraph Corporation|Proprietary bus bridge', 'unknown' ],
0x109100e4 => [ 'Intergraph Corporation|Powerstorm 4D50T', 'unknown' ],
0x10910720 => [ 'Intergraph Corporation|Motion JPEG codec', 'unknown' ],
0x109200a0 => [ 'Diamond Multimedia Systems|Speedstar Pro SE', 'Card:Diamond SpeedStar Pro SE (CL-GD5430/5434)' ],
0x109200a8 => [ 'Diamond Multimedia Systems|Speedstar 64', 'Card:Diamond SpeedStar 64' ],
0x10920550 => [ 'Diamond|Viper 550', 'Server:SVGA' ],
0x109208d4 => [ 'Diamond Multimedia Systems|Supra 2260 Modem', 'unknown' ],
0x10921092 => [ 'Diamond Multimedia Systems|Viper V330', 'Card:Diamond Viper 330' ],
0x10926120 => [ 'Diamond Multimedia Systems|Maximum DVD', 'unknown' ],
0x10928810 => [ 'Diamond Multimedia Systems|Stealth SE', 'unknown' ],
0x10928811 => [ 'Diamond Multimedia Systems|Stealth 64/SE', 'Card:Diamond Stealth 64 DRAM SE' ],
0x10928880 => [ 'Diamond Multimedia Systems|Stealth', 'unknown' ],
0x10928881 => [ 'Diamond Multimedia Systems|Stealth', 'unknown' ],
0x109288b0 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288b1 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288c0 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288c1 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288d0 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288d1 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288f0 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x109288f1 => [ 'Diamond Multimedia Systems|Stealth 64', 'unknown' ],
0x10929999 => [ 'Diamond Multimedia Systems|DMD-I0928-1 "Monster sound" sound chip', 'unknown' ],
0x10930160 => [ 'National Instruments|PCI-DIO-96', 'unknown' ],
0x10930162 => [ 'National Instruments|PCI-MIO-16XE-50', 'unknown' ],
0x10931170 => [ 'National Instruments|PCI-MIO-16XE-10', 'unknown' ],
0x10931180 => [ 'National Instruments|PCI-MIO-16E-1', 'unknown' ],
0x10931190 => [ 'National Instruments|PCI-MIO-16E-4', 'unknown' ],
0x10931330 => [ 'National Instruments|PCI-6031E', 'unknown' ],
0x10931350 => [ 'National Instruments|PCI-6071E', 'unknown' ],
0x10932a60 => [ 'National Instruments|PCI-6023E', 'unknown' ],
0x1093c801 => [ 'National Instruments|PCI_GPIB', 'unknown' ],
0x10950640 => [ 'CMD Technology Inc|PCI0640', 'unknown' ],
0x10950641 => [ 'CMD Technology Inc|PCI-0640 EIDE Adapter with RAID 1', 'unknown' ],
0x10950642 => [ 'CMD Technology Inc|EIDE Adapter with RAID 1', 'unknown' ],
0x10950643 => [ 'CMD Technology Inc|PCI0643', 'unknown' ],
0x10950646 => [ 'CMD Technology Inc|PCI0646', 'unknown' ],
0x10950647 => [ 'CMD Technology Inc|PCI0647', 'unknown' ],
0x10950650 => [ 'CMD Technology Inc|PBC0650A', 'unknown' ],
0x10950670 => [ 'CMD Technology Inc|USB0670', 'usb-ohci' ],
0x10950673 => [ 'CMD Technology Inc|USB0673', 'usb-ohci' ],
0x10970038 => [ 'Appian Technology (ETMA)|EIDE Controller', 'unknown' ],
0x10980001 => [ 'Quantum Designs|QD-8500', 'Server:SVGA' ],
0x10980002 => [ 'Quantum Designs|QD-8580', 'Server:SVGA' ],
0x109e0350 => [ 'Brooktree Corporation|Bt848 TV with DMA push', 'Server:SVGA' ],
0x109e0351 => [ 'Brooktree Corporation|Bt849A Video capture', 'bttv' ],
0x109e036e => [ 'Brooktree Corporation|Bt878', 'bttv' ],
0x109e036f => [ 'Brooktree Corporation|Bt879', 'bttv' ],
0x109e0370 => [ 'Brooktree Corp|BtV ??? Video Capture', 'unknown' ],
0x109e0878 => [ 'Brooktree Corporation|Bt878', 'unknown' ],
0x109e0879 => [ 'Brooktree Corp|BtV ??? Video Capture', 'unknown' ],
0x109e0880 => [ 'Brooktree Corp|BtV ??? Video Capture', 'unknown' ],
0x109e2115 => [ 'Brooktree Corporation|BtV 2115 Mediastream controller', 'unknown' ],
0x109e2125 => [ 'Brooktree Corporation|BtV 2125 Mediastream controller', 'unknown' ],
0x109e2164 => [ 'Brooktree Corporation|BtV 2164', 'unknown' ],
0x109e2165 => [ 'Brooktree Corporation|BtV 2165', 'unknown' ],
0x109e8230 => [ 'Brooktree Corporation|Bt8230 ATM Segment/Reassembly Ctrlr (SRC)', 'unknown' ],
0x109e8472 => [ 'Brooktree Corporation|Bt8472', 'unknown' ],
0x109e8474 => [ 'Brooktree Corporation|Bt8474', 'unknown' ],
0x10a80000 => [ 'Sierra Semiconductor|STB Horizon 64', 'Server:SVGA' ],
0x10a90003 => [ 'Silicon Graphics|IOC3', 'unknown' ],
0x10a90005 => [ 'Silicon Graphics|RAD Audio', 'unknown' ],
0x10a90009 => [ 'Silicon Graphics|Alteon Gigabit Ethernet', 'unknown' ],
0x10aa0000 => [ 'ACC Microelectronics|ACCM 2188', 'unknown' ],
0x10aa2051 => [ 'Auctor Corp/ACC Microelectronics|Laptop Chipset CPU Bridge', 'unknown' ],
0x10aa5842 => [ 'Auctor Corp/ACC Microelectronics|Laptop Chipset ISA Bridge', 'unknown' ],
0x10ad0001 => [ 'Symphony Labs|W83769F', 'unknown' ],
0x10ad0003 => [ 'Symphony Labs|SL82C103', 'unknown' ],
0x10ad0005 => [ 'Symphony Labs|SL82C105', 'unknown' ],
0x10ad0103 => [ 'Symphony Labs|SL82c103', 'unknown' ],
0x10ad0105 => [ 'Symphony Labs|SL82c105', 'unknown' ],
0x10ad0150 => [ 'Symphony Labs|EIDE Controller', 'unknown' ],
0x10ad0565 => [ 'Symphony Labs|W83C553', 'unknown' ],
0x10ae0002 => [ 'Cornerstone Technology|Graphics Controller', 'unknown' ],
0x10af0001 => [ 'Microcomputer Systems|IDE', 'unknown' ],
0x10b33106 => [ 'Databook Inc|DB87144', 'unknown' ],
0x10b3b106 => [ 'Databook Inc|DB87144', 'unknown' ],
0x10b41b1d => [ 'STB Systems Inc|Velocity 128 3D', 'Card:STB Systems Velocity 3D' ],
0x10b50001 => [ 'PLX Technology, Inc.|i960 PCI bus interface', 'unknown' ],
0x10b51076 => [ 'PLX Technology, Inc.|VScom 800 8 port serial adaptor', 'unknown' ],
0x10b51077 => [ 'PLX Technology, Inc.|VScom 400 4 port serial adaptor', 'unknown' ],
0x10b59036 => [ 'PLX Technology, Inc.|9036', 'unknown' ],
0x10b59050 => [ 'PLX Technology, Inc.|PCI <-> IOBus Bridge', 'unknown' ],
0x10b59060 => [ 'PLX Technology, Inc.|9060', 'unknown' ],
0x10b5906d => [ 'PLX Technology, Inc.|9060SD', 'unknown' ],
0x10b5906e => [ 'PLX Technology, Inc.|9060ES', 'unknown' ],
0x10b59080 => [ 'PLX Technology, Inc.|9080', 'unknown' ],
0x10b60001 => [ 'Madge Networks|Smart 16/4 Ringnode', 'unknown' ],
0x10b60002 => [ 'Madge Networks|Smart 16/4 BM Mk2 Ringnode', 'unknown' ],
0x10b60003 => [ 'Madge Networks|Smart 16/4 Ringnode', 'unknown' ],
0x10b60004 => [ 'Madge Networks|Smart 16/4 Ringnode (BM)', 'unknown' ],
0x10b60006 => [ 'Madge Networks|16/4 Cardbus Adapter', 'unknown' ],
0x10b60007 => [ 'Madge Networks|Presto', 'unknown' ],
0x10b61000 => [ 'Madge Networks|Collage 25 ATM adaptor', 'unknown' ],
0x10b61001 => [ 'Madge Networks|Collage 155 Server', 'unknown' ],
0x10b70001 => [ '3Com Corporation|3c985 1000BaseSX', 'acenic' ],
0x10b73390 => [ '3Com Corporation|Token Link Velocity', 'unknown' ],
0x10b73590 => [ '3Com Corporation|3c359 TokenLink Velocity XL', 'unknown' ],
0x10b75057 => [ '3Com Corporation|3c575 [Megahertz] 10/100 LAN CardBus', 'unknown' ],
0x10b75157 => [ '3Com Corporation|3c575 [Megahertz] 10/100 LAN CardBus', 'unknown' ],
0x10b75900 => [ '3Com Corporation|3c590 10BaseT [Vortex]', '3c59x' ],
0x10b75950 => [ '3Com Corporation|3c595 100BaseTX [Vortex]', '3c59x' ],
0x10b75951 => [ '3Com Corporation|3c595 100BaseT4 [Vortex]', '3c59x' ],
0x10b75952 => [ '3Com Corporation|3c595 100Base-MII [Vortex]', '3c59x' ],
0x10b78811 => [ '3Com Corporation|Token ring', 'unknown' ],
0x10b79000 => [ '3Com Corporation|3c900 10BaseT [Boomerang]', '3c59x' ],
0x10b79001 => [ '3Com Corporation|3c900 Combo [Boomerang]', '3c59x' ],
0x10b79004 => [ '3Com Corporation|3c900B-TPO [Etherlink XL TPO]', '3c59x' ],
0x10b79005 => [ '3Com Corporation|3c900B-Combo [Etherlink XL Combo]', '3c59x' ],
0x10b79006 => [ '3Com Corporation|3c900B-TPC [Etherlink XL TPC]', '3c59x' ],
0x10b7900a => [ '3Com Corporation|3c900B-FL [Etherlink XL FL]', '3c59x' ],
0x10b79050 => [ '3Com Corporation|3c905 100BaseTX [Boomerang]', '3c59x' ],
0x10b79051 => [ '3Com Corporation|3c905 100BaseT4', '3c59x' ],
0x10b79055 => [ '3Com Corporation|3c905B 100BaseTX [Cyclone]', '3c59x' ],
0x10b79058 => [ '3Com Corporation|3c905B-Combo [Deluxe Etherlink XL 10/100]', '3c90x' ],
0x10b7905a => [ '3Com Corporation|3c905B-FX [Fast Etherlink XL FX 10/100]', '3c59x' ],
0x10b79200 => [ '3Com Corporation|3c905C-TX [Fast Etherlink]', '3c59x' ],
0x10b79800 => [ '3Com Corporation|3c980-TX [Fast Etherlink XL Server Adapter]', '3c59x' ],
0x10b80005 => [ 'Standard Microsystems Corp [SMC]|9432 TX', 'epic100' ],
0x10b80006 => [ 'Standard Microsystems Corp [SMC]|LANEPIC', 'unknown' ],
0x10b81000 => [ 'Standard Microsystems Corp [SMC]|37c665', 'unknown' ],
0x10b81001 => [ 'Standard Microsystems Corp [SMC]|37C922', 'unknown' ],
0x10b8a011 => [ 'Standard Microsystems Corp [SMC]|83C170QF', 'unknown' ],
0x10b8b106 => [ 'Standard Microsystems Corp [SMC]|SMC34C90', 'unknown' ],
0x10b91435 => [ 'Acer Laboratories Inc. [ALi]|M1435', 'ignore' ],
0x10b91445 => [ 'Acer Laboratories Inc. [ALi]|M1445', 'ignore' ],
0x10b91449 => [ 'Acer Laboratories Inc. [ALi]|M1449', 'ignore' ],
0x10b91451 => [ 'Acer Laboratories Inc. [ALi]|M1451', 'ignore' ],
0x10b91461 => [ 'Acer Laboratories Inc. [ALi]|M1461', 'ignore' ],
0x10b91489 => [ 'Acer Laboratories Inc. [ALi]|M1489', 'unknown' ],
0x10b91511 => [ 'Acer Laboratories Inc. [ALi]|M1511 [Aladdin]', 'unknown' ],
0x10b91512 => [ 'Acer Laboratories Inc. [ALi]|M1512 [Aladdin]', 'unknown' ],
0x10b91513 => [ 'Acer Laboratories Inc. [ALi]|M1513 [Aladdin]', 'unknown' ],
0x10b91521 => [ 'Acer Laboratories Inc. [ALi]|M1521 [Aladdin III]', 'unknown' ],
0x10b91523 => [ 'Acer Laboratories Inc. [ALi]|M1523', 'unknown' ],
0x10b91531 => [ 'Acer Laboratories Inc. [ALi]|M1531 [Aladdin IV]', 'unknown' ],
0x10b91533 => [ 'Acer Laboratories Inc. [ALi]|M1533 [Aladdin IV]', 'unknown' ],
0x10b91541 => [ 'Acer Laboratories Inc. [ALi]|M1541', 'unknown' ],
0x10b91543 => [ 'Acer Laboratories Inc. [ALi]|M1543', 'unknown' ],
0x10b91621 => [ 'Acer Laboratories Inc. [ALi]|M1621', 'unknown' ],
0x10b93141 => [ 'Acer Laboratories Inc. [ALi]|M3141', 'ignore' ],
0x10b93143 => [ 'Acer Laboratories Inc. [ALi]|M3143', 'ignore' ],
0x10b93145 => [ 'Acer Laboratories Inc. [ALi]|M3145', 'ignore' ],
0x10b93147 => [ 'Acer Laboratories Inc. [ALi]|M3147', 'ignore' ],
0x10b93149 => [ 'Acer Laboratories Inc. [ALi]|M3149', 'ignore' ],
0x10b93151 => [ 'Acer Laboratories Inc. [ALi]|M3151', 'ignore' ],
0x10b93307 => [ 'Acer Laboratories Inc. [ALi]|M3307', 'unknown' ],
0x10b93309 => [ 'Acer Laboratories Inc. [ALi]|M3309', 'unknown' ],
0x10b95212 => [ 'Acer Laboratories Inc. [ALi]|M4803', 'unknown' ],
0x10b95215 => [ 'Acer Laboratories Inc. [ALi]|MS4803', 'unknown' ],
0x10b95217 => [ 'Acer Laboratories Inc. [ALi]|M5217H', 'unknown' ],
0x10b95219 => [ 'Acer Laboratories Inc. [ALi]|M5219', 'unknown' ],
0x10b95225 => [ 'Acer Laboratories Inc. [ALi]|M5225', 'unknown' ],
0x10b95229 => [ 'Acer Laboratories Inc. [ALi]|M5229', 'unknown' ],
0x10b95235 => [ 'Acer Laboratories Inc. [ALi]|M5225', 'unknown' ],
0x10b95237 => [ 'Acer Laboratories Inc. [ALi]|M5237 (USB)', 'usb-ohci' ],
0x10b95240 => [ 'Acer Labs Incorporated (ALI)|EIDE Controller', 'unknown' ],
0x10b95241 => [ 'Acer Labs Incorporated (ALI)|PCMCIA Bridge', 'unknown' ],
0x10b95242 => [ 'Acer Labs Incorporated (ALI)|General Purpose Controller', 'unknown' ],
0x10b95243 => [ 'Acer Laboratories Inc. [ALi]|M5243', 'unknown' ],
0x10b95244 => [ 'Acer Labs Incorporated (ALI)|Floppy Disk Controller', 'unknown' ],
0x10b95247 => [ 'Acer Laboratories Inc. [ALi]|M5247', 'unknown' ],
0x10b97101 => [ 'Acer Laboratories Inc. [ALi]|M7101', 'unknown' ],
0x10ba0301 => [ 'Mitsubishi Electric Corp.|AccelGraphics AccelECLIPSE', 'unknown' ],
0x10bd0e34 => [ 'Surecom Technology|NE-34PCI LAN', 'ne2k-pci' ],
0x10bd5240 => [ 'Surecom Technology|EIDE Controller', 'unknown' ],
0x10bd5241 => [ 'Surecom Technology|PCMCIA Bridge', 'unknown' ],
0x10bd5242 => [ 'Surecom Technology|General Purpose Controller', 'unknown' ],
0x10bd5243 => [ 'Surecom Technology|Bus Controller', 'unknown' ],
0x10bd5244 => [ 'Surecom Technology|Floppy Disk Controller', 'unknown' ],
0x10c31100 => [ 'Samsung Semiconductors, Inc.|Smartether100 SC1100 LAN Adapter (i82557B)', 'eepro100' ],
0x10c80000 => [ 'Neomagic Corp|Graphics Controller', 'unknown' ],
0x10c80001 => [ 'Neomagic Corporation|NM2070 [MagicGraph NM2070]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80002 => [ 'Neomagic Corporation|NM2090 [MagicGraph 128V]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80003 => [ 'Neomagic Corporation|NM2093 [MagicGraph 128ZV]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80004 => [ 'Neomagic Corporation|NM2160 [MagicGraph 128XD]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80005 => [ 'Neomagic Corporation|[MagicGraph 256AV]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80006 => [ 'Neomagic Corporation|[MagicGraph 256ZX]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c80083 => [ 'Neomagic Corporation|[MagicGraph 128ZV Plus]', 'Card:NeoMagic (laptop/notebook)' ],
0x10c88005 => [ 'Neomagic Corporation|[MagicMedia 256AV]', 'nm256' ],
0x10c88006 => [ 'Neomagic Corporation|[MagicMedia 256AV]', 'nm256' ],
0x10cc0226 => [ 'Mentor Arc Inc|PCI/ISA Bridge', 'unknown' ],
0x10cc0257 => [ 'Mentor Arc Inc|Host/PCI Bridge', 'unknown' ],
0x10cd1100 => [ 'Advanced System Products|ASC1100', 'unknown' ],
0x10cd1200 => [ 'Advanced System Products|ASC1200 [(abp940) Fast SCSI-II]', 'advansys' ],
0x10cd1300 => [ 'Advanced System Products|ABP940-U', 'advansys' ],
0x10cd2300 => [ 'Advanced System Products|ABP940-UW', 'advansys' ],
0x10cf2001 => [ 'Citicorp TTI|mb86605', 'ignore' ],
0x10d90512 => [ 'Macronix, Inc. [MXIC]|MX98713', 'tulip' ],
0x10d90531 => [ 'Macronix, Inc. [MXIC]|MX987x5', 'tulip' ],
0x10d98625 => [ 'Macronix, Inc. [MXIC]|MX86250', 'unknown' ],
0x10d98888 => [ 'Macronix, Inc. [MXIC]|MX86200', 'unknown' ],
0x10da0508 => [ 'Compaq IPG-Austin|TC4048', 'unknown' ],
0x10da3390 => [ 'Compaq IPG-Austin|Tl3c3x9', 'unknown' ],
0x10dc0001 => [ 'CERN/ECP/EDU|STAR/RD24 SCI-PCI (PMC)', 'unknown' ],
0x10dc0002 => [ 'CERN/ECP/EDU|TAR/RD24 SCI-PCI (PMC) [ATT 2C15-3 (FPGA) SCI bridge on PCI 5 Volt card]', 'unknown' ],
0x10dc0021 => [ 'CERN/ECP/EDU|HIPPI destination', 'unknown' ],
0x10dc0022 => [ 'CERN/ECP/EDU|HIPPI source', 'unknown' ],
0x10dc10dc => [ 'CERN/ECP/EDU|ATT2C15-3 FPGA', 'unknown' ],
0x10dd0001 => [ 'Evans & Sutherland|3D Graphics Processor (?? Freedom GBbus??)', 'unknown' ],
0x10de0008 => [ 'Nvidia Corporation|NV1 EDGE 3D', 'Card:Diamond Edge 3D' ],
0x10de0009 => [ 'Nvidia Corporation|NV1 EDGE 3D', 'Card:Diamond Edge 3D' ],
0x10de0020 => [ 'Nvidia Corporation|Riva TNT 128', 'Card:RIVA128' ],
0x10de0028 => [ 'Nvidia Corporation|Riva TNT2', 'Card:RIVA TNT2' ],
0x10de0029 => [ 'Nvidia Corporation|Riva TNT2', 'Card:RIVA TNT2' ],
0x10de002c => [ 'Nvidia Corporation|Vanta', 'Server:SVGA' ],
0x10de002d => [ 'Nvidia Corporation|Riva TNT2 Model 64', 'Card:RIVA TNT2' ],
0x10de00a0 => [ 'Nvidia Corporation|Riva TNT2', 'Card:RIVA TNT2' ],
0x10de0101 => [ 'Nvidia Corporation|GeForce', 'Server:SVGA' ],
0x10df10df => [ 'Emulex Corporation|Light Pulse Fibre Channel Adapter', 'unknown' ],
0x10df1ae5 => [ 'Emulex Corporation|LP6000 Fibre Channel Host Adapter', 'unknown' ],
0x10dff700 => [ 'Emulex Corporation|LP7000 Fibre Channel Host Adapter', 'unknown' ],
0x10e05026 => [ 'Integrated Micro|IMS5026/27/28', 'unknown' ],
0x10e05027 => [ 'Integrated Micro|IMS5027', 'unknown' ],
0x10e05028 => [ 'Integrated Micro|IMS5028', 'unknown' ],
0x10e08849 => [ 'Integrated Micro|IMS8849', 'unknown' ],
0x10e08853 => [ 'Integrated Micro|IMS8853', 'unknown' ],
0x10e09128 => [ 'Integrated Micro|IMS9129 [Twin turbo 128]', 'unknown' ],
0x10e10391 => [ 'Tekram|TRM-S1040', 'unknown' ],
0x10e1690c => [ 'Tekram|DC-690c', 'unknown' ],
0x10e1dc29 => [ 'Tekram|DC-290', 'unknown' ],
0x10e30000 => [ 'Tundra Semiconductor Corp.|CA91C042 [Universe]', 'Server:SVGA' ],
0x10e30860 => [ 'Tundra Semiconductor Corp.|CA91C860 [QSpan]', 'unknown' ],
0x10e82011 => [ 'Applied Micro|Q-Motion Video Capture/Edit board', 'unknown' ],
0x10e84750 => [ 'Applied Micro|S5930 [Matchmaker]', 'unknown' ],
0x10e85920 => [ 'Applied Micro|S5920', 'unknown' ],
0x10e88043 => [ 'Applied Micro|LANai4.x [Myrinet LANai interface chip]', 'unknown' ],
0x10e88062 => [ 'Applied Micro|S5933_PARASTATION', 'unknown' ],
0x10e8807d => [ 'Applied Micro|S5933 [Matchmaker]', 'unknown' ],
0x10e88088 => [ 'Applied Micro|Kingsberg Spacetec Format Synchronizer', 'unknown' ],
0x10e88089 => [ 'Applied Micro|Kingsberg Spacetec Serial Output Board', 'unknown' ],
0x10e8809c => [ 'Applied Micro|S5933_HEPC3', 'unknown' ],
0x10e8811a => [ 'Applied Micro|PCI-IEEE1355-DS-DE Interface', 'unknown' ],
0x10e88170 => [ 'Applied Micro|S5933 "Matchmaker" PCI Chipset Development Tool', 'unknown' ],
0x10ea1680 => [ 'Intergraphics Systems|IGA-1680', 'Server:SVGA' ],
0x10ea1682 => [ 'Intergraphics Systems|IGA-1682', 'Server:SVGA' ],
0x10ea1683 => [ 'Intergraphics Systems|IGA-1683', 'unknown' ],
0x10ea2000 => [ 'Intergraphics Systems|CyberPro 2000', 'unknown' ],
0x10ea2010 => [ 'Intergraphics Systems|CyberPro 2000A', 'unknown' ],
0x10ea5000 => [ 'Intergraphics Systems|CyberPro 5000', 'unknown' ],
0x10ea5050 => [ 'Intergraphics Systems|CyberPro 5050', 'unknown' ],
0x10eb0101 => [ 'Artists Graphics|3GA', 'unknown' ],
0x10eb8111 => [ 'Artists Graphics|Twist3 Frame Grabber', 'unknown' ],
0x10ec8029 => [ 'Realtek|8029', 'ne2k-pci' ],
0x10ec8129 => [ 'Realtek|8129', 'rtl8139' ],
0x10ec8139 => [ 'Realtek|8139', 'rtl8139' ],
0x10ed7310 => [ 'Ascii Corporation|V7310', 'unknown' ],
0x10ef8154 => [ 'Racore Computer Products, Inc.|M815x Token Ring Adapter', 'unknown' ],
0x10f11566 => [ 'Tyan Computer|IDE/SCSI', 'unknown' ],
0x10f11677 => [ 'Tyan Computer|Multimedia', 'unknown' ],
0x10f5a001 => [ 'NKK Corporation|NDR4000 [NR4600 Bridge]', 'unknown' ],
0x10fa0000 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0001 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0002 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0003 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0004 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0005 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0006 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0007 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0008 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0009 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa000a => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa000b => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa000c => [ 'Truevision|TARGA 1000', 'unknown' ],
0x10fa000d => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa000e => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa000f => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0010 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0011 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0012 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0013 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0014 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x10fa0015 => [ 'TrueVision|GUI Accelerator', 'unknown' ],
0x11010002 => [ 'Initio Corp|Ultra SCSI Adapter', 'unknown' ],
0x1101134a => [ 'Initio Corp|Ultra SCSI Adapter', 'unknown' ],
0x11019100 => [ 'Initio Corporation|INI-9100/9100W', 'initio' ],
0x11019400 => [ 'Initio Corporation|INI-940', 'initio' ],
0x11019401 => [ 'Initio Corporation|INI-950', 'initio' ],
0x11019500 => [ 'Initio Corporation|360P', 'initio' ],
0x11019700 => [ 'Initio Corp|Fast Wide SCSI Controller', 'initio' ],
0x11020002 => [ 'Creative Labs|SB Live! (audio)', 'emu10k1' ],
0x11027002 => [ 'Creative Labs|SB Live! (joystick)', 'unknown' ],
0x11030003 => [ 'Triones|HPT343', 'unknown' ],
0x11030004 => [ 'Triones|HPT366', 'unknown' ],
0x11055000 => [ 'Sigma Designs Inc|Multimedia', 'unknown' ],
0x11058300 => [ 'Sigma Designs, Inc.|REALmagic Hollywood Plus DVD Decoder', 'unknown' ],
0x11060501 => [ 'VIA Technologies|VT8501', 'unknown' ],
0x11060505 => [ 'VIA Technologies|VT82C505', 'ignore' ],
0x11060561 => [ 'VIA Technologies|VT82C561', 'ignore' ],
0x11060571 => [ 'VIA Technologies|VT82C586 IDE [Apollo]', 'ignore' ],
0x11060576 => [ 'VIA Technologies|VT82C576 3V [Apollo Master]', 'ignore' ],
0x11060585 => [ 'VIA Technologies|VT82C585VP [Apollo VP1/VPX]', 'ignore' ],
0x11060586 => [ 'VIA Technologies|VT82C586 ISA [Apollo VP]', 'ignore' ],
0x11060595 => [ 'VIA Technologies|VT82C595 [Apollo VP2]', 'ignore' ],
0x11060596 => [ 'VIA Technologies|VT82C596 ISA [Apollo PRO]', 'ignore' ],
0x11060597 => [ 'VIA Technologies|VT82C597 [Apollo VP3]', 'ignore' ],
0x11060598 => [ 'VIA Technologies|VT82C598 [Apollo MVP3]', 'ignore' ],
0x11060680 => [ 'VIA Technologies|VT82C680 [Apollo P6]', 'unknown' ],
0x11060686 => [ 'VIA Technologies|VT82C686 [Apollo Super]', 'unknown' ],
0x11060691 => [ 'VIA Technologies|VT82C691 [Apollo PRO]', 'ignore' ],
0x11060693 => [ 'VIA Technologies|VT82C693 [Apollo Pro Plus]', 'ignore' ],
0x11060926 => [ 'VIA Technologies|VT82C926 [Amazon]', 'ne2k-pci' ],
0x11061000 => [ 'VIA Technologies|VT82C570MV', 'ignore' ],
0x11061106 => [ 'VIA Technologies|VT82C570MV', 'ignore' ],
0x11061571 => [ 'VIA Technologies|VT82C416MV', 'ignore' ],
0x11061595 => [ 'VIA Technologies|VT82C595/97 [Apollo VP2/97]', 'ignore' ],
0x11063038 => [ 'VIA Technologies|VT82C586B USB', 'usb-uhci' ],
0x11063040 => [ 'VIA Technologies|VT82C586B ACPI', 'ignore' ],
0x11063043 => [ 'VIA Technologies|VT86C100A [Rhine 10/100]', 'via-rhine' ],
0x11063050 => [ 'VIA Technologies Inc|Power Management Controller', 'unknown' ],
0x11063051 => [ 'VIA Technologies Inc|Power Management Controller', 'unknown' ],
0x11063057 => [ 'VIA Technologies|VT82C686 [Apollo Super ACPI]', 'unknown' ],
0x11063058 => [ 'VIA Technologies|VT82C686_5 [Audio]', 'via82cxxx' ],
0x11063068 => [ 'VIA Technologies|VT82C686 [Apollo Super AC97/Modem]', 'unknown' ],
0x11065030 => [ 'VIA Technologies|VT82C596 ACPI [Apollo PRO]', 'ignore' ],
0x11066100 => [ 'VIA Technologies|VT85C100A [Rhine II]', 'via-rhine' ],
0x11068501 => [ 'VIA Technologies|VT8501', 'unknown' ],
0x11068596 => [ 'VIA Technologies|VT82C596 [Apollo PRO AGP]', 'ignore' ],
0x11068597 => [ 'VIA Technologies|VT82C597 [Apollo VP3 AGP]', 'ignore' ],
0x11068598 => [ 'VIA Technologies|VT82C598 [Apollo MVP3 AGP]', 'ignore' ],
0x11068691 => [ 'VIA Technologies|VT82C691 [Apollo Pro]', 'unknown' ],
0x11070576 => [ 'Stratus Computers|VIA VT82C570MV [Apollo] (Wrong vendor ID!)', 'unknown' ],
0x11078576 => [ 'Stratus Computer|PCI Host Bridge', 'unknown' ],
0x11080100 => [ 'Proteon, Inc.|p1690plus_AA', 'unknown' ],
0x11080101 => [ 'Proteon, Inc.|p1690plus_AB', 'unknown' ],
0x11080105 => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x11080108 => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x11080138 => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x11080139 => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x1108013c => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x1108013d => [ 'Proteon, Inc.|P1690Plus', 'unknown' ],
0x11091400 => [ 'Cogent Data|EM110TX [EX110TX]', 'unknown' ],
0x110a0002 => [ 'Siemens Nixdorf AG|Pirahna 2-port', 'unknown' ],
0x110a0005 => [ 'Siemens Nixdorf AG|Tulip controller, power management, switch extender', 'unknown' ],
0x110a4942 => [ 'Siemens Nixdorf AG|FPGA I-Bus Tracer for MBD', 'unknown' ],
0x110a6120 => [ 'Siemens Nixdorf AG|SZB6120', 'unknown' ],
0x110b0001 => [ 'Chromatic Research Inc.|Mpact Media Processor', 'unknown' ],
0x11106037 => [ 'Powerhouse Systems|Firepower Powerized SMP I/O ASIC', 'unknown' ],
0x11106073 => [ 'Powerhouse Systems|Firepower Powerized SMP I/O ASIC', 'unknown' ],
0x11122200 => [ 'RNS - Div. of Meret Communications Inc|FDDI Adapter', 'unknown' ],
0x11122300 => [ 'Rockwell International|Fast Ethernet Adapter', 'unknown' ],
0x11122340 => [ 'RNS - Div. of Meret Communications Inc|4 Port Fast Ethernet Adapter', 'unknown' ],
0x11122400 => [ 'RNS - Div. of Meret Communications Inc|ATM Adapter', 'unknown' ],
0x11131211 => [ 'Accton|SMC2-1211TX', 'rtl8139' ],
0x11131217 => [ 'Accton|EN-1217 Ethernet Adapter', 'unknown' ],
0x11135105 => [ 'Accton|10Mbps Network card', 'unknown' ],
0x11139211 => [ 'Accton|EN-1207D Fast Ethernet Adapter', 'unknown' ],
0x11160022 => [ 'Data Translation|DT3001', 'unknown' ],
0x11160023 => [ 'Data Translation|DT3002', 'unknown' ],
0x11160024 => [ 'Data Translation|DT3003', 'unknown' ],
0x11160025 => [ 'Data Translation|DT3004', 'unknown' ],
0x11160026 => [ 'Data Translation|DT3005', 'unknown' ],
0x11160027 => [ 'Data Translation|DT3001-PGL', 'unknown' ],
0x11160028 => [ 'Data Translation|DT3003-PGL', 'unknown' ],
0x11179500 => [ 'Datacube, Inc|Max-1C SVGA card', 'unknown' ],
0x11179501 => [ 'Datacube, Inc|Max-1C image processing', 'unknown' ],
0x11190000 => [ 'ICP Vortex|GDT 6000/6020/6050', 'gdth' ],
0x11190001 => [ 'ICP Vortex|GDT 6000b/6010', 'gdth' ],
0x11190002 => [ 'ICP Vortex|GDT 6110/6510', 'gdth' ],
0x11190003 => [ 'ICP Vortex|GDT 6120/6520', 'gdth' ],
0x11190004 => [ 'ICP Vortex|GDT 6530', 'gdth' ],
0x11190005 => [ 'ICP Vortex|GDT 6550', 'gdth' ],
0x11190006 => [ 'ICP Vortex|GDT 6x17', 'gdth' ],
0x11190007 => [ 'ICP Vortex|GDT 6x27', 'gdth' ],
0x11190008 => [ 'ICP Vortex|GDT 6537', 'gdth' ],
0x11190009 => [ 'ICP Vortex|GDT 5557', 'gdth' ],
0x1119000a => [ 'ICP Vortex|GDT 6x15', 'gdth' ],
0x1119000b => [ 'ICP Vortex|GDT 6x25', 'gdth' ],
0x1119000c => [ 'ICP Vortex|GDT 6535', 'gdth' ],
0x1119000d => [ 'ICP Vortex|GDT 6555', 'gdth' ],
0x11190100 => [ 'ICP Vortex|GDT 6117RP/6517RP', 'gdth' ],
0x11190101 => [ 'ICP Vortex|GDT 6127RP/6527RP', 'gdth' ],
0x11190102 => [ 'ICP Vortex|GDT 6537RP', 'gdth' ],
0x11190103 => [ 'ICP Vortex|GDT 6557RP', 'gdth' ],
0x11190104 => [ 'ICP Vortex|GDT 6111RP/6511RP', 'gdth' ],
0x11190105 => [ 'ICP Vortex|GDT 6121RP/6521RP', 'gdth' ],
0x11190110 => [ 'ICP Vortex|GDT 6117RP1/6517RP1', 'gdth' ],
0x11190111 => [ 'ICP Vortex|GDT 6127RP1/6527RP1', 'gdth' ],
0x11190112 => [ 'ICP Vortex|GDT 6537RP1', 'gdth' ],
0x11190113 => [ 'ICP Vortex|GDT 6557RP1', 'gdth' ],
0x11190114 => [ 'ICP Vortex|GDT 6111RP1/6511RP1', 'gdth' ],
0x11190115 => [ 'ICP Vortex|GDT 6121RP1/6521RP1', 'gdth' ],
0x11190118 => [ 'ICP Vortex|GDT 6x18RD', 'gdth' ],
0x11190119 => [ 'ICP Vortex|GDT 6x28RD', 'gdth' ],
0x1119011a => [ 'ICP Vortex|GDT 6x38RD', 'gdth' ],
0x1119011b => [ 'ICP Vortex|GDT 6x58RD', 'gdth' ],
0x11190120 => [ 'ICP Vortex|GDT 6117RP2/6517RP2', 'gdth' ],
0x11190121 => [ 'ICP Vortex|GDT 6127RP2/6527RP2', 'gdth' ],
0x11190122 => [ 'ICP Vortex|GDT 6537RP2', 'gdth' ],
0x11190123 => [ 'ICP Vortex|GDT 6557RP2', 'gdth' ],
0x11190124 => [ 'ICP Vortex|GDT 6111RP2/6511RP2', 'gdth' ],
0x11190125 => [ 'ICP Vortex|GDT 6121RP2/6521RP2', 'gdth' ],
0x11190168 => [ 'ICP Vortex|GDT 7x18RN', 'gdth' ],
0x11190169 => [ 'ICP Vortex|GDT 7x28RN', 'gdth' ],
0x1119016a => [ 'ICP Vortex|GDT 7x38RN', 'gdth' ],
0x1119016b => [ 'ICP Vortex|GDT 7x58RN', 'gdth' ],
0x11190210 => [ 'ICP Vortex|GDT 6x19RD', 'gdth' ],
0x11190211 => [ 'ICP Vortex|GDT 6x29RD', 'gdth' ],
0x11190260 => [ 'ICP Vortex|GDT 7x19RN', 'gdth' ],
0x11190261 => [ 'ICP Vortex|GDT 7x29RN', 'gdth' ],
0x111a0000 => [ 'Efficient Networks, Inc|155P-MF1 (FPGA)', 'unknown' ],
0x111a0002 => [ 'Efficient Networks, Inc|155P-MF1 (ASIC)', 'unknown' ],
0x111a0003 => [ 'Efficient Networks, Inc|ENI-25P ATM Adapter', 'unknown' ],
0x111a0005 => [ 'Efficient Networks, Inc|ENI-25P ATM Adapter', 'unknown' ],
0x111c0001 => [ 'Tricord Systems Inc.|Powerbis Bridge', 'unknown' ],
0x111d0001 => [ 'Integrated Device Tech|IDT77211 ATM Adapter', 'unknown' ],
0x111f4a47 => [ 'Precision Digital Images|Precision MX Video engine interface', 'unknown' ],
0x111f5243 => [ 'Precision Digital Images|Frame capture bus interface', 'unknown' ],
0x11270200 => [ 'FORE Systems Inc|ForeRunner PCA-200 ATM', 'unknown' ],
0x11270210 => [ 'FORE Systems Inc|PCA-200PC', 'unknown' ],
0x11270250 => [ 'FORE Systems Inc|ATM', 'unknown' ],
0x11270300 => [ 'FORE Systems Inc|PCA-200E', 'unknown' ],
0x11270310 => [ 'FORE Systems Inc|ATM', 'unknown' ],
0x11270400 => [ 'FORE Systems Inc|ForeRunnerHE ATM Adapter', 'unknown' ],
0x112e0000 => [ 'Infomedia Microelectronics|Enhanced IDE Controller', 'unknown' ],
0x112e000b => [ 'Infomedia Microelectronics|Enhanced IDE Controller', 'unknown' ],
0x112f0000 => [ 'Imaging Technology Inc|MVC IC-PCI', 'unknown' ],
0x112f0001 => [ 'Imaging Technology Inc|Video frame grabber/processor', 'unknown' ],
0x11317145 => [ 'Philips Semiconductors|SAA7145', 'unknown' ],
0x11317146 => [ 'Philips Semiconductors|SAA7146', 'unknown' ],
0x11337901 => [ 'Eicon|EiconCard S90', 'unknown' ],
0x11337902 => [ 'Eicon|EiconCard S90', 'unknown' ],
0x11337911 => [ 'Eicon|EiconCard S91', 'unknown' ],
0x11337912 => [ 'Eicon|EiconCard S91', 'unknown' ],
0x11337941 => [ 'Eicon|EiconCard S94', 'unknown' ],
0x11337942 => [ 'Eicon|EiconCard S94', 'unknown' ],
0x1133b921 => [ 'Eicon|EiconCard P92', 'unknown' ],
0x1133b922 => [ 'Eicon|EiconCard P92', 'unknown' ],
0x1133e001 => [ 'Eicon|DIVA 20PRO', 'unknown' ],
0x1133e002 => [ 'Eicon|DIVA 20', 'unknown' ],
0x1133e003 => [ 'Eicon|DIVA 20PRO_U', 'unknown' ],
0x1133e004 => [ 'Eicon|DIVA 20_U', 'unknown' ],
0x1133e010 => [ 'Eicon|DIVA Server BRI-2M', 'unknown' ],
0x1133e014 => [ 'Eicon|DIVA Server PRO-30M', 'unknown' ],
0x11340001 => [ 'Mercury Computer Systems|Raceway Bridge', 'unknown' ],
0x11350001 => [ 'Fuji Xerox Co Ltd|Printer controller', 'unknown' ],
0x11388905 => [ 'Ziatech Corporation|8905 [STD 32 Bridge]', 'unknown' ],
0x11390001 => [ 'Dynamic Pictures Inc|VGA Compatable 3D Graphics', 'unknown' ],
0x113c0000 => [ 'Cyclone Microsystems, Inc.|PCI-9060 i960 Bridge', 'unknown' ],
0x113c0001 => [ 'Cyclone Microsystems, Inc.|PCI-SDK [PCI i960 Evaluation Platform]', 'unknown' ],
0x113c0911 => [ 'Cyclone Microsystems, Inc.|PCI-911 [PCI-based i960Jx Intelligent I/O Controller]', 'unknown' ],
0x113c0912 => [ 'Cyclone Microsystems, Inc.|PCI-912 [i960CF-based Intelligent I/O Controller]', 'unknown' ],
0x113c0913 => [ 'Cyclone Microsystems, Inc.|PCI-913', 'unknown' ],
0x113c0914 => [ 'Cyclone Microsystems, Inc.|PCI-914 [I/O Controller w/ secondary PCI bus]', 'unknown' ],
0x113f0808 => [ 'Equinox Systems, Inc.|SST-64P Adapter', 'unknown' ],
0x113f1010 => [ 'Equinox Systems, Inc.|SST-128P Adapter', 'unknown' ],
0x113f80c0 => [ 'Equinox Systems, Inc.|SST-16P Adapter', 'unknown' ],
0x113f80c4 => [ 'Equinox Systems, Inc.|SST-16P Adapter', 'unknown' ],
0x113f80c8 => [ 'Equinox Systems, Inc.|SST-16P Adapter', 'unknown' ],
0x113f8888 => [ 'Equinox Systems, Inc.|SST-4P Adapter', 'unknown' ],
0x113f9090 => [ 'Equinox Systems, Inc.|SST-8P Adapter', 'unknown' ],
0x11410001 => [ 'Crest Microsystem Inc|EIDE', 'unknown' ],
0x11423210 => [ 'Alliance|AP6410', 'unknown' ],
0x11426410 => [ 'Alliance Semiconductor|GUI Accelerator', 'unknown' ],
0x11426412 => [ 'Alliance Semiconductor|GUI Accelerator', 'unknown' ],
0x11426420 => [ 'Alliance Semiconductor|GUI Accelerator', 'unknown' ],
0x11426422 => [ 'Alliance|ProVideo 6422', 'unknown' ],
0x11426424 => [ 'Alliance|ProVideo 6424', 'unknown' ],
0x11426425 => [ 'Alliance|ProMotion AT25', 'unknown' ],
0x11426426 => [ 'Alliance Semiconductor|GUI Accelerator', 'unknown' ],
0x1142643d => [ 'Alliance|ProMotion AT3D', 'Card:AT3D' ],
0x11440001 => [ 'Cincinnati Milacron|Noservo controller', 'unknown' ],
0x11484000 => [ 'Syskonnect (Schneider & Koch)|FDDI Adapter', 'unknown' ],
0x11484200 => [ 'Syskonnect (Schneider & Koch)|Token ring adaptor', 'sktr' ],
0x11484300 => [ 'Syskonnect (Schneider & Koch)|GE', 'unknown' ],
0x114a7587 => [ 'VMIC|VMIVME-7587', 'unknown' ],
0x114f0002 => [ 'Digi International|AccelePort EPC', 'unknown' ],
0x114f0003 => [ 'Digi International|RightSwitch SE-6', 'unknown' ],
0x114f0004 => [ 'Digi International|AccelePort Xem', 'unknown' ],
0x114f0005 => [ 'Digi International|AccelePort Xr', 'unknown' ],
0x114f0006 => [ 'Digi International|AccelePort Xr,C/X', 'unknown' ],
0x114f0009 => [ 'Digi International|AccelePort Xr/J', 'unknown' ],
0x114f000a => [ 'Digi International|AccelePort EPC/J', 'unknown' ],
0x114f000c => [ 'Digi International|DataFirePRIme T1 (1-port)', 'unknown' ],
0x114f000d => [ 'Digi International|SyncPort 2-Port (x.25/FR)', 'unknown' ],
0x114f0011 => [ 'Digi International|AccelePort 8r EIA-232 (IBM)', 'unknown' ],
0x114f0012 => [ 'Digi International|AccelePort 8r EIA-422', 'unknown' ],
0x114f0013 => [ 'Digi International|AccelePort Xr', 'unknown' ],
0x114f0014 => [ 'Digi International|AccelePort 8r EIA-422', 'unknown' ],
0x114f0015 => [ 'Digi International|AccelePort Xem', 'unknown' ],
0x114f0016 => [ 'Digi International|AccelePort EPC/X', 'unknown' ],
0x114f0017 => [ 'Digi International|AccelePort C/X', 'unknown' ],
0x114f001a => [ 'Digi International|DataFirePRIme E1 (1-port)', 'unknown' ],
0x114f001b => [ 'Digi International|AccelePort C/X (IBM)', 'unknown' ],
0x114f001d => [ 'Digi International|DataFire RAS T1/E1/PRI', 'unknown' ],
0x114f0023 => [ 'Digi International|AccelePort RAS', 'unknown' ],
0x114f0024 => [ 'Digi International|DataFire RAS B4 ST/U', 'unknown' ],
0x114f0026 => [ 'Digi International|AccelePort 4r 920', 'unknown' ],
0x114f0027 => [ 'Digi International|AccelePort Xr 920', 'unknown' ],
0x114f0034 => [ 'Digi International|AccelePort 2r 920', 'unknown' ],
0x114f0035 => [ 'Digi International|DataFire DSP T1/E1/PRI cPCI', 'unknown' ],
0x114f6001 => [ 'Digi International|Avanstar', 'unknown' ],
0x11550810 => [ 'Pine Technology Ltd|486 CPU/PCI Bridge', 'unknown' ],
0x11550922 => [ 'Pine Technology Ltd|Pentium CPU/PCI Bridge', 'unknown' ],
0x11550926 => [ 'Pine Technology Ltd|PCI/ISA Bridge', 'unknown' ],
0x11583011 => [ 'Voarx R & D Inc|Tokenet/vg 1001/10m anylan', 'unknown' ],
0x11589050 => [ 'Voarx R & D Inc|Lanfleet/Truevalue', 'unknown' ],
0x11589051 => [ 'Voarx R & D Inc|Lanfleet/Truevalue', 'unknown' ],
0x11590001 => [ 'Mutech Corp|MV-1000', 'unknown' ],
0x115d0003 => [ 'Xircom|Cardbus Ethernet 10/100', 'unknown' ],
0x115d0005 => [ 'Xircom|Cardbus Ethernet 10/100', 'unknown' ],
0x115d0007 => [ 'Xircom|Cardbus Ethernet 10/100', 'unknown' ],
0x115d000b => [ 'Xircom|Cardbus Ethernet 10/100', 'unknown' ],
0x115d000f => [ 'Xircom|Cardbus Ethernet 10/100', 'unknown' ],
0x115d0101 => [ 'Xircom|Cardbus 56k modem', 'unknown' ],
0x115d0103 => [ 'Xircom|Cardbus Ethernet + 56k Modem', 'unknown' ],
0x11610001 => [ 'PFU Ltd|Host Bridge', 'unknown' ],
0x11630001 => [ 'Rendition|Verite 1000', 'Card:Rendition Verite 1000' ],
0x11632000 => [ 'Rendition|Verite V2000/V2100/V2200', 'Card:Rendition Verite 2x00' ],
0x11650001 => [ 'Imagraph Corporation|Motion TPEG Recorder/Player with audio', 'unknown' ],
0x11660008 => [ 'Relience Computer|CNB20HE', 'unknown' ],
0x11660009 => [ 'Relience Computer|CNB20HE', 'unknown' ],
0x116a6100 => [ 'Polaris Communications|Bus/Tag Channel', 'unknown' ],
0x116a6800 => [ 'Polaris Communications|Escon Channel', 'unknown' ],
0x116a7100 => [ 'Polaris Communications|Bus/Tag Channel', 'unknown' ],
0x116a7800 => [ 'Polaris Communications|Escon Channel', 'unknown' ],
0x1178afa1 => [ 'Alfa Inc|Fast Ethernet Adapter', 'unknown' ],
0x11790001 => [ 'Toshiba|Toshiba-4010CDT', 'Server:SVGA' ],
0x11790404 => [ 'Toshiba|DVD Decoder card', 'unknown' ],
0x11790406 => [ 'Toshiba|Tecra Video Capture device', 'unknown' ],
0x11790407 => [ 'Toshiba|DVD Decoder card (Version 2)', 'unknown' ],
0x11790601 => [ 'Toshiba|601 [Laptop]', 'Server:SVGA' ],
0x11790602 => [ 'Toshiba America Info Systems|PCI to ISA Bridge for Notebooks', 'unknown' ],
0x11790603 => [ 'Toshiba|ToPIC95 PCI to CardBus Bridge for Notebooks', 'unknown' ],
0x11790604 => [ 'Toshiba America Info Systems|PCI to PCI Bridge for Notebooks', 'unknown' ],
0x11790605 => [ 'Toshiba America Info Systems|PCI to ISA Bridge for Notebooks', 'unknown' ],
0x11790606 => [ 'Toshiba America Info Systems|PCI to ISA Bridge for Notebooks', 'unknown' ],
0x11790609 => [ 'Toshiba America Info Systems|PCI to PCI Bridge for Notebooks', 'unknown' ],
0x1179060a => [ 'Toshiba|ToPIC95', 'unknown' ],
0x1179060f => [ 'Toshiba|ToPIC97', 'unknown' ],
0x11790701 => [ 'Toshiba|FIR Port', 'unknown' ],
0x117e0001 => [ 'T/R Systems|Printer Host', 'unknown' ],
0x11800465 => [ 'Ricoh Co Ltd|RL5c465', 'unknown' ],
0x11800466 => [ 'Ricoh Co Ltd|RL5c466', 'unknown' ],
0x11800475 => [ 'Ricoh Co Ltd|RL5c475', 'unknown' ],
0x11800476 => [ 'Ricoh Co Ltd|RL5c476', 'unknown' ],
0x11800477 => [ 'Ricoh Co Ltd|RL5c477', 'unknown' ],
0x11800478 => [ 'Ricoh Co Ltd|RL5c478', 'unknown' ],
0x11858929 => [ 'Dataworld|EIDE', 'unknown' ],
0x11860100 => [ 'D-Link System Inc|DC21041', 'tulip' ],
0x11861100 => [ 'D-Link Inc|Fast Ethernet Adapter', 'tulip' ],
0x11891592 => [ 'Matsushita Electronics Co|VL/PCI Bridge', 'unknown' ],
0x118c0014 => [ 'Corollary, Inc|PCIB [C-bus II to PCI bus host bridge chip]', 'unknown' ],
0x118d0001 => [ 'BitFlow Inc|Raptor-PCI framegrabber', 'unknown' ],
0x118d0012 => [ 'BitFlow Inc|Model 12 Road Runner Frame Grabber', 'unknown' ],
0x118d0014 => [ 'BitFlow Inc|Model 14 Road Runner Frame Grabber', 'unknown' ],
0x118d0024 => [ 'BitFlow Inc|Model 24 Road Runner Frame Grabber', 'unknown' ],
0x118d0044 => [ 'BitFlow Inc|Model 44 Road Runner Frame Grabber', 'unknown' ],
0x118d0112 => [ 'BitFlow Inc|Model 12 Road Runner Frame Grabber', 'unknown' ],
0x118d0114 => [ 'BitFlow Inc|Model 14 Road Runner Frame Grabber', 'unknown' ],
0x118d0124 => [ 'BitFlow Inc|Model 24 Road Runner Frame Grabber', 'unknown' ],
0x118d0144 => [ 'BitFlow Inc|Model 44 Road Runner Frame Grabber', 'unknown' ],
0x118d0212 => [ 'BitFlow Inc|Model 12 Road Runner Frame Grabber', 'unknown' ],
0x118d0214 => [ 'BitFlow Inc|Model 14 Road Runner Frame Grabber', 'unknown' ],
0x118d0224 => [ 'BitFlow Inc|Model 24 Road Runner Frame Grabber', 'unknown' ],
0x118d0244 => [ 'BitFlow Inc|Model 44 Road Runner Frame Grabber', 'unknown' ],
0x118d0312 => [ 'BitFlow Inc|Model 12 Road Runner Frame Grabber', 'unknown' ],
0x118d0314 => [ 'BitFlow Inc|Model 14 Road Runner Frame Grabber', 'unknown' ],
0x118d0324 => [ 'BitFlow Inc|Model 24 Road Runner Frame Grabber', 'unknown' ],
0x118d0344 => [ 'BitFlow Inc|Model 44 Road Runner Frame Grabber', 'unknown' ],
0x11902550 => [ 'Tripace|PCI Ultra(Wide) SCSI Processor', 'unknown' ],
0x1190c721 => [ 'Tripace|EIDE', 'unknown' ],
0x1190c731 => [ 'Tripace|PCI Ultra(Wide) SCSI Processor', 'unknown' ],
0x11910001 => [ 'Acard Technology Corp|EIDE Adapter', 'unknown' ],
0x11910002 => [ 'Acard Technology Corp|EIDE Adapter', 'unknown' ],
0x11910003 => [ 'Acard Technology Corp|SCSI Cache Host Adapter', 'unknown' ],
0x11910004 => [ 'Artop Electronic Corp|ATP8400', 'unknown' ],
0x11910005 => [ 'Artop Electronic Corp|ATP850UF', 'unknown' ],
0x11918001 => [ 'Acard Technology Corp|SCSI-2 Cache Host Adapter', 'unknown' ],
0x11918002 => [ 'Artop Electronic Corp|AEC6710 SCSI-2 Host Adapter', 'unknown' ],
0x11918010 => [ 'Artop Electronic Corp|AEC6712UW SCSI', 'unknown' ],
0x11918020 => [ 'Artop Electronic Corp|AEC6712U SCSI', 'unknown' ],
0x11918030 => [ 'Artop Electronic Corp|AEC6712S SCSI', 'unknown' ],
0x11918040 => [ 'Artop Electronic Corp|AEC6712D SCSI', 'unknown' ],
0x11918050 => [ 'Artop Electronic Corp|AEC6712SUW SCSI', 'unknown' ],
0x11930001 => [ 'Zeitnet Inc.|1221', 'unknown' ],
0x11930002 => [ 'Zeitnet Inc.|1225', 'unknown' ],
0x119b1221 => [ 'Omega Micro Inc.|82C092G', 'unknown' ],
0x11a94240 => [ 'InnoSys Inc.|AMCC S933Q Intelligent Serial Card', 'unknown' ],
0x11ab0146 => [ 'Galileo Technology Ltd.|GT-64010', 'unknown' ],
0x11ab4801 => [ 'Galileo Technology Ltd.|GT-48001', 'unknown' ],
0x11abf003 => [ 'Galileo Technology Ltd.|GT-64010 Primary Image Piranha Image Generator', 'unknown' ],
0x11ad0002 => [ 'Lite-On|LNE100TX', 'tulip' ],
0x11adc115 => [ 'Lite-On|LC82C115 PNIC-II', 'tulip' ],
0x11b00292 => [ 'V3 Semiconductor Inc.|V292PBC [Am29030/40 Bridge]', 'unknown' ],
0x11b00960 => [ 'V3 Semiconductor Inc.|V96xPBC', 'unknown' ],
0x11b0c960 => [ 'V3 Semiconductor Inc.|V96DPC', 'unknown' ],
0x11b80001 => [ 'XPoint Technologies, Inc|Quad PeerMaster', 'unknown' ],
0x11b9c0ed => [ 'Pathlight Technology Inc.|SSA Controller', 'unknown' ],
0x11bc0001 => [ 'Network Peripherals Inc|NP-PCI', 'unknown' ],
0x11c10440 => [ 'Lucent Microelectronics|LT WinModem 56k Data+Fax+Dsvd', 'unknown' ],
0x11c10441 => [ 'Lucent Microelectronics|LT WinModem 56k Data+Fax', 'unknown' ],
0x11c10442 => [ 'Lucent Microelectronics|LT WinModem 56k', 'unknown' ],
0x11c10448 => [ 'Lucent Microelectronics|LT WinModem 56k', 'unknown' ],
0x11c10449 => [ 'Lucent Microelectronics|LT WinModem 56k', 'unknown' ],
0x11c1044a => [ 'Lucent Microelectronics|LT WinModem 56k', 'unknown' ],
0x11c10480 => [ 'Lucent Microelectronics|Venus WinModem (V90, 56KFlex)', 'unknown' ],
0x11c15801 => [ 'AT&T Microelectronics (Lucent)|USB Open Host Controller', 'unknown' ],
0x11c80658 => [ 'Dolphin|PSB', 'unknown' ],
0x11c8d665 => [ 'Dolphin|PSB64 SCI-Adapter D32x', 'unknown' ],
0x11c8d667 => [ 'Dolphin|PSB66 SCI-Adapter D33x', 'unknown' ],
0x11c90010 => [ 'Magma|16-line serial port w/- DMA', 'unknown' ],
0x11c90011 => [ 'Magma|4-line serial port w/- DMA', 'unknown' ],
0x11cb2000 => [ 'Specialix Research Ltd.|PCI_9050', 'unknown' ],
0x11cb4000 => [ 'Specialix Research Ltd.|SUPI_1', 'unknown' ],
0x11cb8000 => [ 'Specialix Research Ltd.|T225', 'unknown' ],
0x11d101f7 => [ 'Auravision|VxP524', 'unknown' ],
0x11d50115 => [ 'Ikon Corporation|10115', 'unknown' ],
0x11d50117 => [ 'Ikon Corporation|10117', 'unknown' ],
0x11de6057 => [ 'Zoran Corporation|ZR36057PQC Video cutting chipset', 'buz' ],
0x11de6120 => [ 'Zoran Corporation|ZR36120', 'unknown' ],
0x11f04231 => [ 'Compu-Shack|FDDI', 'unknown' ],
0x11f04232 => [ 'Compu-Shack|FASTline UTP Quattro', 'unknown' ],
0x11f04233 => [ 'Compu-Shack|FASTline FO', 'unknown' ],
0x11f04234 => [ 'Compu-Shack|FASTline UTP', 'unknown' ],
0x11f04235 => [ 'Compu-Shack|FASTline-II UTP', 'unknown' ],
0x11f04236 => [ 'Compu-Shack|FASTline-II FO', 'unknown' ],
0x11f04731 => [ 'Compu-Shack|GIGAline', 'unknown' ],
0x11f42915 => [ 'Kinetic|CAMAC controller', 'unknown' ],
0x11f60112 => [ 'Compex|ENet100VG4', 'hp100' ],
0x11f61401 => [ 'Compex|ReadyLink 2000', 'ne2k-pci' ],
0x11f62011 => [ 'Compex|RL100-ATX 10/100', 'unknown' ],
0x11f62201 => [ 'Compex|ReadyLink 100TX (Winbond W89C840)', 'ne2k-pci' ],
0x11f69881 => [ 'Compex|RL100TX', 'tulip' ],
0x11f87375 => [ 'PMC-Sierra Inc.|PM7375 [LASAR-155 ATM SAR]', 'unknown' ],
0x11fe0001 => [ 'Comtrol Corporation|RocketPort 8 Oct', 'ignore' ],
0x11fe0002 => [ 'Comtrol Corporation|RocketPort 8 Intf', 'ignore' ],
0x11fe0003 => [ 'Comtrol Corporation|RocketPort 16 Intf', 'ignore' ],
0x11fe0004 => [ 'Comtrol Corporation|RocketPort 32 Intf', 'ignore' ],
0x11fe0005 => [ 'Comtrol Corporation|RocketPort Octacable', 'ignore' ],
0x11fe0006 => [ 'Comtrol Corporation|RocketPort 8J', 'ignore' ],
0x11fe0008 => [ 'Comtrol Corporation|RocketPort 8-port', 'unknown' ],
0x11fe0009 => [ 'Comtrol Corporation|RocketPort 16-port', 'unknown' ],
0x11fe000a => [ 'Comtrol Corporation|RocketPort Plus Quadcable', 'ignore' ],
0x11fe000b => [ 'Comtrol Corporation|RocketPort Plus Octacable', 'ignore' ],
0x11fe000c => [ 'Comtrol Corporation|RocketPort 8-port Modem', 'ignore' ],
0x12084853 => [ 'Parsytec GmbH|HS-Link Device', 'unknown' ],
0x120e0100 => [ 'Cyclades Corporation|Cyclom_Y below first megabyte', 'ignore' ],
0x120e0101 => [ 'Cyclades Corporation|Cyclom_Y above first megabyte', 'ignore' ],
0x120e0102 => [ 'Cyclades Corporation|Cyclom_4Y below first megabyte', 'ignore' ],
0x120e0103 => [ 'Cyclades Corporation|Cyclom_4Y above first megabyte', 'ignore' ],
0x120e0104 => [ 'Cyclades Corporation|Cyclom_8Y below first megabyte', 'ignore' ],
0x120e0105 => [ 'Cyclades Corporation|Cyclom_8Y above first megabyte', 'ignore' ],
0x120e0200 => [ 'Cyclades Corporation|Cyclom_Z below first megabyte', 'ignore' ],
0x120e0201 => [ 'Cyclades Corporation|Cyclom_Z above first megabyte', 'ignore' ],
0x120f0001 => [ 'Essential Communications|Roadrunner serial HIPPI', 'unknown' ],
0x12176729 => [ 'O2 Micro, Inc.|6729', 'unknown' ],
0x1217673a => [ 'O2 Micro, Inc.|6730', 'unknown' ],
0x12176832 => [ 'O2 Micro, Inc.|6832', 'unknown' ],
0x12176836 => [ 'O2 Micro, Inc.|6836', 'unknown' ],
0x121a0001 => [ '3Dfx Interactive, Inc.|Voodoo', 'Server:3dfx' ],
0x121a0002 => [ '3Dfx Interactive, Inc.|Voodoo 2', 'Server:3dfx' ],
0x121a0003 => [ '3Dfx Interactive, Inc.|Voodoo Banshee', 'Server:3dfx' ],
0x121a0005 => [ '3Dfx Interactive, Inc.|Voodoo 3 2000', 'Server:3dfx' ],
0x12201220 => [ 'Ariel Corporation|AMCC 5933 TMS320C80 DSP/Imaging board', 'unknown' ],
0x122d1206 => [ 'Aztech System Ltd|368DSP', 'unknown' ],
0x122d50dc => [ 'Aztech System Ltd|3328 Audio', 'unknown' ],
0x122d80da => [ 'Aztech System Ltd|3328 Audio', 'unknown' ],
0x12360000 => [ 'Sigma Designs Corporation|RealMagic64/GX', 'unknown' ],
0x12366401 => [ 'Sigma Designs Corporation|REALmagic 64/GX (SD 6425)', 'unknown' ],
0x123d0000 => [ 'Engineering Design Team, Inc.|EasyConnect 8/32', 'unknown' ],
0x123d0002 => [ 'Engineering Design Team, Inc.|EasyConnect 8/64', 'unknown' ],
0x123d0003 => [ 'Engineering Design Team, Inc.|EasyIO', 'unknown' ],
0x123f00e4 => [ 'C-Cube Microsystems|MPEG', 'unknown' ],
0x123f8888 => [ 'C-Cube Microsystems|Cinemaster C 3.0 DVD Decoder', 'unknown' ],
0x12440700 => [ 'AVM Audiovisuelles|B1 ISDN', 'unknown' ],
0x12440a00 => [ 'AVM Audiovisuelles|A1 ISDN [Fritz]', 'unknown' ],
0x124d0000 => [ 'Stallion|EasyConnection 8/32', 'unknown' ],
0x124d0002 => [ 'Stallion|EasyConnection 8/64', 'unknown' ],
0x124d0003 => [ 'Stallion|EasyIO', 'unknown' ],
0x124f0041 => [ 'Infotrend Technology, Inc.|IFT-2000 Series RAID Controller', 'unknown' ],
0x12551110 => [ 'Optibase Ltd|MPEG Forge', 'Server:SVGA' ],
0x12551210 => [ 'Optibase Ltd|MPEG Fusion', 'Server:SVGA' ],
0x12552110 => [ 'Optibase Ltd|VideoPlex', 'Server:SVGA' ],
0x12552120 => [ 'Optibase Ltd|VideoPlex CC', 'Server:SVGA' ],
0x12552130 => [ 'Optibase Ltd|VideoQuest', 'Server:SVGA' ],
0x12592560 => [ 'Allied Telesyn International|AT-2560 Fast Ethernet Adapter (i82557B)', 'eepro100' ],
0x125c0640 => [ 'Aurora Technologies, Inc.|Aries 16000P', 'unknown' ],
0x125d0000 => [ 'ESS Technology|ES336H PCI Fax Modem (Early Model)', 'unknown' ],
0x125d1948 => [ 'ESS Technology|ES1948 Maestro 1', 'maestro' ],
0x125d1968 => [ 'ESS Technology|ES1968 Maestro 2', 'maestro' ],
0x125d1969 => [ 'ESS Technology|ES1969 Solo-1 Audiodrive', 'esssolo1' ],
0x125d1978 => [ 'ESS Technology|ES1978 Maestro Audiodrive', 'maestro' ],
0x125d2808 => [ 'ESS Technology|ES336H Fax Modem (Later Model)', 'unknown' ],
0x125d2898 => [ 'ESS Technology|ES2898 Modem', 'unknown' ],
0x12608130 => [ 'Harris Semiconductor|HMP8130 NTSC/PAL Video Decoder', 'unknown' ],
0x12608131 => [ 'Harris Semiconductor|HMP8131 NTSC/PAL Video Decoder', 'unknown' ],
0x12660001 => [ 'Microdyne Corporation|NE10/100 Adapter (i82557B)', 'eepro100' ],
0x12661910 => [ 'Microdyne Corporation|NE2000Plus (RT8029) Ethernet Adapter', 'unknown' ],
0x12675352 => [ 'S. A. Telecommunications|PCR2101', 'unknown' ],
0x12675a4b => [ 'S. A. Telecommunications|Telsat Turbo', 'unknown' ],
0x126f0810 => [ 'Silicon Motion Inc|Lynx E', 'unknown' ],
0x126f0910 => [ 'Silicon Motion, Inc.|SM910', 'unknown' ],
0x12730002 => [ 'Hughes Network Systems|DirecPC', 'unknown' ],
0x12741371 => [ 'Ensoniq|ES1371 [AudioPCI-97]', 'es1371' ],
0x12745000 => [ 'Ensoniq|ES1370 [AudioPCI]', 'es1370' ],
0x127a1002 => [ 'Rockwell International|HCF 56k V90 FaxModem', 'unknown' ],
0x127a1003 => [ 'Rockwell International|HCF 56k V90 FaxModem', 'unknown' ],
0x127a1004 => [ 'Rockwell International|HCF 56k V90 FaxModem', 'unknown' ],
0x127a1005 => [ 'Rockwell International|HCF 56k V90 FaxModem', 'unknown' ],
0x127a4320 => [ 'Rockwell Semiconductor Systems|Master Riptide PCI Audio Controller', 'unknown' ],
0x127a4321 => [ 'Rockwell Semiconductor Systems|HCF 56k Data Fax PCI Modem', 'unknown' ],
0x127a4322 => [ 'Rockwell Semiconductor Systems|Riptide PCI Game Controller', 'unknown' ],
0x127a8234 => [ 'Rockwell International|RapidFire 616X ATM155 Adapter', 'unknown' ],
0x12829100 => [ 'Davicom|DM9100', 'dmfe' ],
0x12829102 => [ 'Davicom|DM9102', 'dmfe' ],
0x1283673a => [ 'Integrated Technology Express, Inc.|IT8330G', 'unknown' ],
0x12838330 => [ 'Integrated Technology Express, Inc.|IT8330G', 'unknown' ],
0x1283e886 => [ 'Integrated Technology Express, Inc.|IT8330G', 'unknown' ],
0x12850100 => [ 'Platform Technologies, Inc.|PT-201C-O-P AGOGO-XP sound chip', 'maestro' ],
0x1287001e => [ 'M-Pact, Inc.|LS220D DVD Decoder', 'unknown' ],
0x1287001f => [ 'M-Pact, Inc.|LS220C DVD Decoder', 'unknown' ],
0x128d0021 => [ 'G2 Networks, Inc.|ATM155 Adapter', 'unknown' ],
0x128e0008 => [ 'Hoontech Corporation/Samho Multi Tech Ltd.|ST128 WSS/SB', 'unknown' ],
0x128e0009 => [ 'Hoontech Corporation/Samho Multi Tech Ltd.|ST128 SAM9407', 'unknown' ],
0x128e000a => [ 'Hoontech Corporation/Samho Multi Tech Ltd.|ST128 Game Port', 'unknown' ],
0x128e000b => [ 'Hoontech Corporation/Samho Multi Tech Ltd.|ST128 MPU Port', 'unknown' ],
0x128e000c => [ 'Hoontech Corporation/Samho Multi Tech Ltd.|ST128 Ctrl Port', 'unknown' ],
0x12ab3000 => [ 'Yuan Yuan Enterprise Co Ltd|MPG-200C PCI DVD Decoder Card', 'unknown' ],
0x12ae0001 => [ 'Alteon Networks Inc.|AceNIC Gigabit Ethernet', 'acenic' ],
0x12b91006 => [ 'US Robotics/3Com|WinModem', 'unknown' ],
0x12b91008 => [ 'US Robotics/3Com|56K FaxModem Model 5610', 'unknown' ],
0x12be3041 => [ 'Anchor Chips Inc.|AN3041Q CO-MEM', 'unknown' ],
0x12be3042 => [ 'Anchor Chips Inc.|AN3042Q CO-MEM Lite', 'unknown' ],
0x12c50081 => [ 'Picture Elements Incorporated|PCIVST [Grayscale Thresholding Engine]', 'unknown' ],
0x12c50086 => [ 'Picture Elements Incorporated|THR2 Thresholder', 'unknown' ],
0x12d20008 => [ 'NVidia / SGS Thomson|NV1', 'Server:SVGA' ],
0x12d20009 => [ 'NVidia / SGS Thomson|DAC64', 'unknown' ],
0x12d20018 => [ 'NVidia / SGS Thomson|Riva128', 'Card:RIVA128' ],
0x12d20019 => [ 'NVidia / SGS Thomson|Riva128ZX', 'Card:RIVA128' ],
0x12d20020 => [ 'NVidia / SGS Thomson|TNT', 'Card:RIVA TNT' ],
0x12d20028 => [ 'NVidia / SGS Thomson|TNT2', 'Card:RIVA TNT2' ],
0x12d20029 => [ 'NVidia / SGS Thomson|UTNT2', 'unknown' ],
0x12d2002c => [ 'NVidia / SGS Thomson|VTNT2', 'unknown' ],
0x12d200a0 => [ 'NVidia / SGS Thomson|ITNT2', 'unknown' ],
0x12e00010 => [ 'Chase Research|ST16C654 Quad UART', 'unknown' ],
0x12e00020 => [ 'Chase Research|ST16C654 Quad UART', 'unknown' ],
0x12e00030 => [ 'Chase Research|ST16C654 Quad UART', 'unknown' ],
0x12eb0001 => [ 'Aureal Semiconductor|Vortex 1', 'unknown' ],
0x12eb0002 => [ 'Aureal Semiconductor|Vortex 2', 'unknown' ],
0x12f80002 => [ 'Electronic Design GmbH|VideoMaker', 'unknown' ],
0x13070001 => [ 'Computer Boards|DAS1602/16', 'unknown' ],
0x1307000b => [ 'Computer Boards|PCI-DIO48H', 'unknown' ],
0x1307000c => [ 'Computer Boards|PCI-PDISO8', 'unknown' ],
0x1307000d => [ 'Computer Boards|PCI-PDISO16', 'unknown' ],
0x1307000f => [ 'Computer Boards|PCI-DAS1200', 'unknown' ],
0x13070010 => [ 'Computer Boards|PCI-DAS1602/12', 'unknown' ],
0x13070014 => [ 'Computer Boards|PCI-DIO24H', 'unknown' ],
0x13070015 => [ 'Computer Boards|PCI-DIO24H/CTR3', 'unknown' ],
0x13070016 => [ 'Computer Boards|PCI-DIO48H/CTR15', 'unknown' ],
0x13070017 => [ 'Computer Boards|PCI-DIO96H', 'unknown' ],
0x13070018 => [ 'Computer Boards|PCI-CTR05', 'unknown' ],
0x13070019 => [ 'Computer Boards|PCI-DAS1200/JR', 'unknown' ],
0x1307001a => [ 'Computer Boards|PCI-DAS1001', 'unknown' ],
0x1307001b => [ 'Computer Boards|PCI-DAS1002', 'unknown' ],
0x1307001c => [ 'Computer Boards|PCI-DAS1602JR/16', 'unknown' ],
0x1307001d => [ 'Computer Boards|PCI-DAS6402/16', 'unknown' ],
0x1307001e => [ 'Computer Boards|PCI-DAS6402/12', 'unknown' ],
0x1307001f => [ 'Computer Boards|PCI-DAS16/M1', 'unknown' ],
0x13070020 => [ 'Computer Boards|PCI-DDA02/12', 'unknown' ],
0x13070021 => [ 'Computer Boards|PCI-DDA04/12', 'unknown' ],
0x13070022 => [ 'Computer Boards|PCI-DDA08/12', 'unknown' ],
0x13070023 => [ 'Computer Boards|PCI-DDA02/16', 'unknown' ],
0x13070024 => [ 'Computer Boards|PCI-DDA04/16', 'unknown' ],
0x13070025 => [ 'Computer Boards|PCI-DDA08/16', 'unknown' ],
0x13070026 => [ 'Computer Boards|PCI-DAC04/12-HS', 'unknown' ],
0x13070027 => [ 'Computer Boards|PCI-DAC04/16-HS', 'unknown' ],
0x13070028 => [ 'Computer Boards|PCI-DIO24', 'unknown' ],
0x13070029 => [ 'Computer Boards|PCI-DAS08', 'unknown' ],
0x1307002c => [ 'Computer Boards|PCI-INT32', 'unknown' ],
0x13070033 => [ 'Computer Boards|PCI-DUAL-AC5', 'unknown' ],
0x13070034 => [ 'Computer Boards|PCI-DAS-TC', 'unknown' ],
0x13070035 => [ 'Computer Boards|PCI-DAS64/M1/16', 'unknown' ],
0x13070036 => [ 'Computer Boards|PCI-DAS64/M2/16', 'unknown' ],
0x13070037 => [ 'Computer Boards|PCI-DAS64/M3/16', 'unknown' ],
0x1307004c => [ 'Computer Boards|PCI-DAS1000', 'unknown' ],
0x13080001 => [ 'Jato Technologies Inc.|NetCelerator Adapter', 'unknown' ],
0x13190801 => [ 'Fortemedia, Inc|Xwave QS3000A [FM801]', 'snd-card-fm801.o' ],
0x13190802 => [ 'Fortemedia, Inc|Xwave QS3000A [FM801 game port]', 'unknown' ],
0x131f1000 => [ 'SIIG Inc|PCI Serial Card', 'unknown' ],
0x131f1001 => [ 'Siig Inc|CyberSerial (1-port) 16650', 'unknown' ],
0x131f1002 => [ 'Siig Inc|CyberSerial (1-port) 16850', 'unknown' ],
0x131f1010 => [ 'Siig Inc|Duet 1S(16550)+1P', 'unknown' ],
0x131f1011 => [ 'Siig Inc|Duet 1S(16650)+1P', 'unknown' ],
0x131f1012 => [ 'Siig Inc|Duet 1S(16850)+1P', 'unknown' ],
0x131f1020 => [ 'Siig Inc|CyberParallel', 'unknown' ],
0x131f1021 => [ 'Siig Inc|CyberParallel', 'unknown' ],
0x131f1030 => [ 'Siig Inc|CyberSerial (2-port) 16550', 'unknown' ],
0x131f1031 => [ 'Siig Inc|CyberSerial (2-port) 16650', 'unknown' ],
0x131f1032 => [ 'Siig Inc|CyberSerial (2-port) 16850', 'unknown' ],
0x131f1034 => [ 'Siig Inc|Trio 2S(16550)+1P', 'unknown' ],
0x131f1035 => [ 'Siig Inc|Trio 2S(16650)+1P', 'unknown' ],
0x131f1036 => [ 'Siig Inc|Trio 2S(16850)+1P', 'unknown' ],
0x131f1050 => [ 'Siig Inc|CyberSerial (4-port) 16550', 'unknown' ],
0x131f1051 => [ 'Siig Inc|CyberSerial (4-port) 16650', 'unknown' ],
0x131f1052 => [ 'Siig Inc|CyberSerial (4-port) 16850', 'unknown' ],
0x131f2000 => [ 'Siig Inc|CyberSerial (1-port) 16550', 'unknown' ],
0x131f2001 => [ 'Siig Inc|CyberSerial (1-port) 16650', 'unknown' ],
0x131f2002 => [ 'Siig Inc|CyberSerial (1-port) 16850', 'unknown' ],
0x131f2010 => [ 'Siig Inc|Duet 1S(16550)+1P', 'unknown' ],
0x131f2011 => [ 'Siig Inc|Duet 1S(16650)+1P', 'unknown' ],
0x131f2012 => [ 'Siig Inc|Duet 1S(16850)+1P', 'unknown' ],
0x131f2020 => [ 'Siig Inc|CyberParallel (1-port)', 'unknown' ],
0x131f2021 => [ 'Siig Inc|CyberParallel (2-port)', 'unknown' ],
0x131f2030 => [ 'Siig Inc|CyberSerial (2-port) 16550', 'unknown' ],
0x131f2031 => [ 'Siig Inc|CyberSerial (2-port) 16650', 'unknown' ],
0x131f2032 => [ 'Siig Inc|CyberSerial (2-port) 16850', 'unknown' ],
0x131f2040 => [ 'Siig Inc|Trio 1S(16550)+2P', 'unknown' ],
0x131f2041 => [ 'Siig Inc|Trio 1S(16650)+2P', 'unknown' ],
0x131f2042 => [ 'Siig Inc|Trio 1S(16850)+2P', 'unknown' ],
0x131f2050 => [ 'Siig Inc|CyberSerial (4-port) 16550', 'unknown' ],
0x131f2051 => [ 'Siig Inc|CyberSerial (4-port) 16650', 'unknown' ],
0x131f2052 => [ 'Siig Inc|CyberSerial (4-port) 16850', 'unknown' ],
0x131f2060 => [ 'Siig Inc|Trio 2S(16550)+1P', 'unknown' ],
0x131f2061 => [ 'Siig Inc|Trio 2S(16650)+1P', 'unknown' ],
0x131f2062 => [ 'Siig Inc|Trio 2S(16850)+1P', 'unknown' ],
0x134a0001 => [ 'DTC Technology Corp.|Domex 536', 'unknown' ],
0x134d7890 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7891 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7892 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7893 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7894 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7895 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7896 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x134d7897 => [ 'Pctel Inc|HSP MicroModem 56', 'unknown' ],
0x135e7101 => [ 'Sealevel Systems Inc|Single Port RS-232/422/485/530', 'unknown' ],
0x135e7201 => [ 'Sealevel Systems Inc|Dual Port RS-232/422/485 Interface', 'unknown' ],
0x135e7202 => [ 'Sealevel Systems Inc|Dual Port RS-232 Interface', 'unknown' ],
0x135e7401 => [ 'Sealevel Systems Inc|Four Port RS-232 Interface', 'unknown' ],
0x135e7402 => [ 'Sealevel Systems Inc|Four Port RS-422/485 Interface', 'unknown' ],
0x135e7801 => [ 'Sealevel Systems Inc|Eight Port RS-232 Interface', 'unknown' ],
0x135e8001 => [ 'Sealevel Systems Inc|8001 Digital I/O Adapter', 'unknown' ],
0x1385620a => [ 'Netgear|GA620', 'acenic' ],
0x13890001 => [ 'Applicom International|PCI1500PFB [Intelligent fieldbus adaptor]', 'unknown' ],
0x13972bd0 => [ 'Cologne Chip Designs GmbH|ISDN network controller', 'unknown' ],
0x13c00010 => [ 'Microgate Corporation|SyncLink WAN Adapter', 'unknown' ],
0x13df0001 => [ 'E-Tech Inc|PCI56RVP Modem', 'unknown' ],
0x13f60100 => [ 'C-Media Electronics Inc|CMI8338A', 'cmpci' ],
0x13f60101 => [ 'C-Media Electronics Inc|CMI8338B', 'cmpci' ],
0x13f60111 => [ 'C-Media Electronics Inc|CMI8738', 'cmpci' ],
0x13f60211 => [ 'C-Media Electronics Inc|HSP56 Audiomodem Riser', 'unknown' ],
0x14078000 => [ 'Lava Computer mfg Inc|Lava Parallel', 'unknown' ],
0x14078002 => [ 'Lava Computer mfg Inc|Lava Dual Parallel port A', 'unknown' ],
0x14078003 => [ 'Lava Computer mfg Inc|Lava Dual Parallel port B', 'unknown' ],
0x14078800 => [ 'Lava Computer mfg Inc|BOCA Research IOPPAR', 'unknown' ],
0x14121712 => [ 'IC Ensemble Inc|ICE1712 [Envy24]', 'unknown' ],
0x14b70001 => [ 'PROXIM Inc|Symphony 4110', 'unknown' ],
0x14b90001 => [ 'AIRONET Wireless Communications|PC4800', 'unknown' ],
0x14f12013 => [ 'CONEXANT|HSP MicroModem 56K', 'unknown' ],
0x15070001 => [ 'Motorola Computer Group|MPC105 [Eagle]', 'unknown' ],
0x15070002 => [ 'Motorola Computer Group|MPC106 [Grackle]', 'unknown' ],
0x15070003 => [ 'Motorola|MPC8240 [Kahlua]', 'unknown' ],
0x15070100 => [ 'Motorola Computer Group|MC145575 [HFC-PCI]', 'unknown' ],
0x15070431 => [ 'Motorola Computer Group|KTI829c 100VG', 'unknown' ],
0x15074801 => [ 'Motorola Computer Group|Raven', 'unknown' ],
0x15074802 => [ 'Motorola Computer Group|Falcon', 'unknown' ],
0x15074803 => [ 'Motorola Computer Group|Hawk', 'unknown' ],
0x15074806 => [ 'Motorola Computer Group|CPX8216', 'unknown' ],
0x151a1002 => [ 'Globetek|PCI-1002', 'unknown' ],
0x151a1004 => [ 'Globetek|PCI-1004', 'unknown' ],
0x151a1008 => [ 'Globetek|PCI-1008', 'unknown' ],
0x1a080000 => [ 'Sierra semiconductor|SC15064', 'unknown' ],
0x1c1c0001 => [ 'Symphony|82C101', 'unknown' ],
0x1d44a400 => [ 'DPT|PM2x24/PM3224', 'eata' ],
0x1de12020 => [ 'Tekram|DC-390', 'unknown' ],
0x1de1690c => [ 'Tekram|690c', 'unknown' ],
0x1de1dc29 => [ 'Tekram|DC290', 'unknown' ],
0x23482010 => [ 'Racore|8142 100VG/AnyLAN', 'unknown' ],
0x33888011 => [ 'Hint Corp|VXPro II Chipset', 'unknown' ],
0x33888012 => [ 'Hint Corp|VXPro II Chipset', 'unknown' ],
0x33888013 => [ 'Hint Corp|VXPro II Chipset', 'unknown' ],
0x3d3d0001 => [ '3DLabs|GLINT 300SX', 'Server:3DLabs' ],
0x3d3d0002 => [ '3DLabs|GLINT 500TX', 'Server:3DLabs' ],
0x3d3d0003 => [ '3DLabs|GLINT Delta', 'Server:3DLabs' ],
0x3d3d0004 => [ '3DLabs|GLINT Permedia', 'Server:3DLabs' ],
0x3d3d0005 => [ '3DLabs|Permedia', 'Server:3DLabs' ],
0x3d3d0006 => [ '3DLabs|GLINT MX', 'Server:3DLabs' ],
0x3d3d0007 => [ '3DLabs|4D Extreme [GLINT Permedia 2]', 'Server:3DLabs' ],
0x3d3d0008 => [ '3DLabs|GLINT Gamma', 'Server:3DLabs' ],
0x3d3d0009 => [ '3DLabs|Permedia II 2D+3D', 'Card:3Dlabs Permedia2 (generic)' ],
0x3d3d0100 => [ '3DLabs|Permedia II 2D+3D', 'Card:3Dlabs Permedia2 (generic)' ],
0x3d3d1004 => [ '3DLabs|Permedia', 'Server:3DLabs' ],
0x3d3d3d04 => [ '3DLabs|Permedia', 'Server:3DLabs' ],
0x3d3dffff => [ '3DLabs|Glint VGA', 'Server:3DLabs' ],
0x40051064 => [ 'Avance Logic Inc.|ALG-2064', 'unknown' ],
0x40052064 => [ 'Avance Logic Inc.|ALG-2064i', 'Server:SVGA' ],
0x40052128 => [ 'Avance Logic Inc.|ALG-2364A GUI Accelerator', 'unknown' ],
0x40052301 => [ 'Avance Logic Inc.|ALG-2301', 'unknown' ],
0x40052302 => [ 'Avance Logic Inc.|ALG-2302', 'Server:SVGA' ],
0x40052303 => [ 'Avance Logic Inc.|AVG-2302 GUI Accelerator', 'unknown' ],
0x40052364 => [ 'Avance Logic Inc.|ALG-2364A', 'unknown' ],
0x40052464 => [ 'Avance Logic Inc.|ALG-2464', 'unknown' ],
0x40052501 => [ 'Avance Logic Inc.|ALG-2564A/25128A', 'unknown' ],
0x4a145000 => [ 'NetVin|NV5000SC', 'ne2k-pci' ],
0x4b103080 => [ 'Buslogic Inc|SCSI Host Adapter', 'unknown' ],
0x4b104010 => [ 'Buslogic Inc|Wide SCSI Host Adapter', 'unknown' ],
0x4d510200 => [ 'MediaQ Inc.|MQ-200', 'unknown' ],
0x50532010 => [ 'Voyetra Technologies|Daytona Audio Adapter', 'unknown' ],
0x51453031 => [ 'Ensoniq (Old)|Concert AudioPCI', 'unknown' ],
0x53010001 => [ 'Alliance Semiconductor Corp.|ProMotion aT3D', 'Card:AT3D' ],
0x53330551 => [ 'S3 Inc.|Plato/PX (system)', 'Server:S3' ],
0x53335631 => [ 'S3 Inc.|86c325 [ViRGE]', 'Card:S3 ViRGE (generic)' ],
0x53338800 => [ 'S3 Inc.|86c866 [Vision 866]', 'unknown' ],
0x53338801 => [ 'S3 Inc.|86c964 [Vision 964]', 'Card:S3 Vision964 (generic)' ],
0x53338810 => [ 'S3 Inc.|86c764_0 [Trio 32 vers 0]', 'Card:S3 86C764 (generic)' ],
0x53338811 => [ 'S3 Inc.|86c764/765 [Trio32/64/64V+]', 'Card:S3 Trio64 (generic)' ],
0x53338812 => [ 'S3 Inc.|86cM65 [Aurora64V+]', 'Card:S3 Aurora64V+ (generic)' ],
0x53338813 => [ 'S3 Inc.|86c764_3 [Trio 32/64 vers 3]', 'Card:S3 86C764 (generic)' ],
0x53338814 => [ 'S3 Inc.|86c767 [Trio 64UV+]', 'Card:S3 Trio64V+ (generic)' ],
0x53338815 => [ 'S3 Inc.|86cM65 [Aurora 128]', 'Card:S3 86CM65' ],
0x5333883d => [ 'S3 Inc.|86c988 [ViRGE/VX]', 'Card:S3 ViRGE (generic)' ],
0x53338870 => [ 'S3 Inc.|FireGL', 'unknown' ],
0x53338880 => [ 'S3 Inc.|86c868 [Vision 868 VRAM] vers 0', 'Card:S3 868 (generic)' ],
0x53338881 => [ 'S3 Inc.|86c868 [Vision 868 VRAM] vers 1', 'Card:S3 868 (generic)' ],
0x53338882 => [ 'S3 Inc.|86c868 [Vision 868 VRAM] vers 2', 'Card:S3 868 (generic)' ],
0x53338883 => [ 'S3 Inc.|86c868 [Vision 868 VRAM] vers 3', 'Card:S3 868 (generic)' ],
0x533388b0 => [ 'S3 Inc.|86c928 [Vision 928 VRAM] vers 0', 'Card:S3 928 (generic)' ],
0x533388b1 => [ 'S3 Inc.|86c928 [Vision 928 VRAM] vers 1', 'Card:S3 86C928 (generic)' ],
0x533388b2 => [ 'S3 Inc.|86c928 [Vision 928 VRAM] vers 2', 'Card:S3 86C928 (generic)' ],
0x533388b3 => [ 'S3 Inc.|86c928 [Vision 928 VRAM] vers 3', 'Card:S3 86C928 (generic)' ],
0x533388c0 => [ 'S3 Inc.|86c864 [Vision 864 DRAM] vers 0', 'Card:S3 864 (generic)' ],
0x533388c1 => [ 'S3 Inc.|86c864 [Vision 864 DRAM] vers 1', 'Card:S3 864 (generic)' ],
0x533388c2 => [ 'S3 Inc.|86c864 [Vision 864-P DRAM] vers 2', 'Card:S3 864 (generic)' ],
0x533388c3 => [ 'S3 Inc.|86c864 [Vision 864-P DRAM] vers 3', 'Card:S3 864 (generic)' ],
0x533388d0 => [ 'S3 Inc.|86c964 [Vision 964 VRAM] vers 0', 'Card:S3 964 (generic)' ],
0x533388d1 => [ 'S3 Inc.|86c964 [Vision 964 VRAM] vers 1', 'Card:S3 964 (generic)' ],
0x533388d2 => [ 'S3 Inc.|86c964 [Vision 964-P VRAM] vers 2', 'Card:S3 964 (generic)' ],
0x533388d3 => [ 'S3 Inc.|86c964 [Vision 964-P VRAM] vers 3', 'Card:S3 964 (generic)' ],
0x533388f0 => [ 'S3 Inc.|86c968 [Vision 968 VRAM] rev 0', 'Card:S3 968 (generic)' ],
0x533388f1 => [ 'S3 Inc.|86c968 [Vision 968 VRAM] rev 1', 'Card:S3 968 (generic)' ],
0x533388f2 => [ 'S3 Inc.|86c968 [Vision 968 VRAM] rev 2', 'Card:S3 968 (generic)' ],
0x533388f3 => [ 'S3 Inc.|86c968 [Vision 968 VRAM] rev 3', 'Card:S3 968 (generic)' ],
0x53338900 => [ 'S3 Inc.|86c755 [Trio 64V2/DX]', 'Card:S3 Trio64V2 (generic)' ],
0x53338901 => [ 'S3 Inc.|Trio 64V2/DX or /GX', 'Card:S3 Trio64V2 (generic)' ],
0x53338902 => [ 'S3 Inc.|Plato/PX (graphics)', 'Server:S3' ],
0x53338903 => [ 'S3 Inc.|Trio 3D business multimedia', 'Server:SVGA' ],
0x53338904 => [ 'S3 Inc.|Trio 64 3D', 'Server:SVGA' ],
0x53338905 => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x53338906 => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x53338907 => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x53338908 => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x53338909 => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890a => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890b => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890c => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890d => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890e => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x5333890f => [ 'S3 Inc.|Trio 64V+ family', 'Card:S3 Trio64V+ (generic)' ],
0x53338a01 => [ 'S3 Inc.|ViRGE/DX or /GX', 'Card:S3 ViRGE (generic)' ],
0x53338a10 => [ 'S3 Inc.|ViRGE/GX2', 'Card:S3 ViRGE/GX2 (generic)' ],
0x53338a13 => [ 'S3 Inc.|86c368 [Trio 3D/2X]', 'Server:SVGA' ],
0x53338a20 => [ 'S3 Inc.|86c794 [Savage 3D]', 'Server:SVGA' ],
0x53338a21 => [ 'S3 Inc.|86c795 [Savage 3D/MV]', 'Server:SVGA' ],
0x53338a22 => [ 'S3 Inc.|Savage 4', 'Server:SVGA' ],
0x53338a23 => [ 'S3 Inc.|Savage 4', 'Server:SVGA' ],
0x53338c00 => [ 'S3 Inc.|ViRGE/M3', 'Server:SVGA' ],
0x53338c01 => [ 'S3 Inc.|ViRGE/MX', 'Card:S3 ViRGE/MX (generic)' ],
0x53338c02 => [ 'S3 Inc.|ViRGE/MX+', 'Card:S3 ViRGE/MX+ (generic)' ],
0x53338c03 => [ 'S3 Inc.|ViRGE/MX+MV', 'Card:S3 ViRGE/MX (generic)' ],
0x5333ca00 => [ 'S3 Inc.|SonicVibes', 'sonicvibes' ],
0x54554458 => [ 'Technische University Berlin|S5933', 'unknown' ],
0x55550003 => [ 'Genroco, Inc|TURBOstor HFP-832 [HiPPI NIC]', 'unknown' ],
0x63564002 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564102 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564202 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564302 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564402 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564502 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564602 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564702 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564802 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564902 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564a02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564b02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564c02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564d02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564e02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63564f02 => [ 'UltraStor|ULTRA24 SCSI Host', 'unknown' ],
0x63746773 => [ 'c\'t Magazin|GPPCI', 'unknown' ],
0x66660001 => [ 'Decision Computer|PCCOM4', 'unknown' ],
0x66660002 => [ 'Decision Computer|PCCOM8', 'unknown' ],
0x80080010 => [ 'Quancom Electronic GmbH|WDOG1 [PCI-Watchdog 1]', 'unknown' ],
0x80080011 => [ 'Quancom Electronic GmbH|PWDOG2 [PCI-Watchdog 2]', 'unknown' ],
0x80860007 => [ 'Intel Corporation|82379AB', 'unknown' ],
0x80860008 => [ 'Intel|Extended Express System Support Controller', 'unknown' ],
0x80860039 => [ 'Intel Corporation|21145', 'unknown' ],
0x80860122 => [ 'Intel Corporation|82437FX', 'unknown' ],
0x80860482 => [ 'Intel Corporation|82375EB', 'unknown' ],
0x80860483 => [ 'Intel Corporation|82424ZX [Saturn]', 'unknown' ],
0x80860484 => [ 'Intel Corporation|82378IB [SIO ISA Bridge]', 'unknown' ],
0x80860486 => [ 'Intel Corporation|82430ZX [Aries]', 'unknown' ],
0x808604a3 => [ 'Intel Corporation|82434LX [Mercury/Neptune]', 'unknown' ],
0x808604d0 => [ 'Intel Corporation|82437FX [Triton FX]', 'unknown' ],
0x80860960 => [ 'Intel Corporation|80960RP [i960 RP Microprocessor/Bridge]', 'unknown' ],
0x80861000 => [ 'Intel Corporation|82542 Gigabit Ethernet Adapter', 'unknown' ],
0x80861209 => [ 'Intel Corporation|82559ER', 'unknown' ],
0x80861221 => [ 'Intel Corporation|82092AA_0', 'unknown' ],
0x80861222 => [ 'Intel Corporation|82092AA_1', 'unknown' ],
0x80861223 => [ 'Intel Corporation|SAA7116', 'unknown' ],
0x80861225 => [ 'Intel Corporation|82452KX/GX [Orion]', 'unknown' ],
0x80861226 => [ 'Intel Corporation|82596', 'unknown' ],
0x80861227 => [ 'Intel Corporation|82865 [Ether Express Pro 100]', 'eepro100' ],
0x80861228 => [ 'Intel Corporation|82556 [Ether Express Pro 100 Smart]', 'eepro100' ],
0x80861229 => [ 'Intel Corporation|82557 [Ethernet Pro 100]', 'eepro100' ],
0x8086122d => [ 'Intel Corporation|430FX - 82437FX TSC [Triton I]', 'unknown' ],
0x8086122e => [ 'Intel Corporation|82371FB PIIX ISA [Triton I]', 'unknown' ],
0x80861230 => [ 'Intel Corporation|82371FB PIIX IDE [Triton I]', 'unknown' ],
0x80861231 => [ 'Intel Corporation|DSVD Modem', 'unknown' ],
0x80861234 => [ 'Intel Corporation|430MX - 82371MX MPIIX [430MX PCIset - 82371MX Mobile PCI I/O IDE Xcelerator (MPIIX)]', 'unknown' ],
0x80861235 => [ 'Intel Corporation|430MX - 82437MX MTSC [430MX PCIset - 82437MX Mobile System Controller (MTSC) and 82438MX Mobile Data Path (MTDP)]', 'unknown' ],
0x80861237 => [ 'Intel Corporation|440FX - 82441FX PMC [Natoma]', 'unknown' ],
0x80861239 => [ 'Intel Corporation|82371FB', 'unknown' ],
0x8086123b => [ 'Intel Corporation|82380PB', 'unknown' ],
0x8086123c => [ 'Intel Corporation|82380AB', 'unknown' ],
0x80861240 => [ 'Intel Corporation|752 AGP', 'unknown' ],
0x8086124b => [ 'Intel Corporation|82380FB', 'unknown' ],
0x80861250 => [ 'Intel Corporation|430HX - 82439HX TXC [Triton II]', 'unknown' ],
0x80861960 => [ 'Intel Corporation|80960RP [i960RP Microprocessor]', 'megaraid' ],
0x80862410 => [ 'Intel|82801AA 810 Chipset LPC Interface Bridge', 'unknown' ],
0x80862411 => [ 'Intel|82801AA 810 Chipset IDE Controller', 'unknown' ],
0x80862412 => [ 'Intel|82801AA 810 Chipset USB Controller', 'unknown' ],
0x80862413 => [ 'Intel|82801AA 810 Chipset SMBus Controller', 'unknown' ],
0x80862415 => [ 'Intel|82801AA 810 Chipset AC\'97 Audio Controller', 'unknown' ],
0x80862416 => [ 'Intel|82801AA 810 Chipset AC\'97 PCI Modem', 'unknown' ],
0x80862418 => [ 'Intel|82801AA 810 Chipset Hub to PCI Bridge', 'unknown' ],
0x80862420 => [ 'Intel|82801AB 810 Chipset LPC Interface Bridge', 'unknown' ],
0x80862421 => [ 'Intel|82801AB 810 Chipset IDE Controller', 'unknown' ],
0x80862422 => [ 'Intel|82801AB 810 Chipset USB Controller', 'unknown' ],
0x80862423 => [ 'Intel|82801AB 810 Chipset SMBus Controller', 'unknown' ],
0x80862425 => [ 'Intel|82801AB 810 Chipset AC\'97 Audio Controller', 'unknown' ],
0x80862426 => [ 'Intel|82801AB 810 Chipset AC\'97 PCI Modem', 'unknown' ],
0x80862428 => [ 'Intel|82801AB 810 Chipset Hub to PCI Bridge', 'unknown' ],
0x80865200 => [ 'Intel Corporation|EtherExpress PRO/100', 'eepro100' ],
0x80865201 => [ 'Intel Corporation|EtherExpress PRO/100', 'eepro100' ],
0x80867000 => [ 'Intel Corporation|82371SB PIIX3 ISA [Natoma/Triton II]', 'unknown' ],
0x80867010 => [ 'Intel Corporation|82371SB PIIX3 IDE [Natoma/Triton II]', 'unknown' ],
0x80867020 => [ 'Intel Corporation|82371SB PIIX3 USB [Natoma/Triton II]', 'usb-uhci' ],
0x80867030 => [ 'Intel Corporation|430VX - 82437VX TVX [Triton VX]', 'unknown' ],
0x80867100 => [ 'Intel Corporation|430TX - 82439TX MTXC', 'unknown' ],
0x80867110 => [ 'Intel Corporation|82371AB PIIX4 ISA', 'unknown' ],
0x80867111 => [ 'Intel Corporation|82371AB PIIX4 IDE', 'unknown' ],
0x80867112 => [ 'Intel Corporation|82371AB PIIX4 USB', 'usb-uhci' ],
0x80867113 => [ 'Intel Corporation|82371AB PIIX4 ACPI', 'unknown' ],
0x80867120 => [ 'Intel Corporation|82810 GMCH [Graphics Memory Controller Hub]', 'unknown' ],
0x80867121 => [ 'Intel Corporation|82810 CGC [Chipset Graphics Controller]', 'unknown' ],
0x80867122 => [ 'Intel Corporation|82810-DC100 GMCH [Graphics Memory Controller Hub]', 'unknown' ],
0x80867123 => [ 'Intel Corporation|82810-DC100 CGC [Chipset Graphics Controller]', 'unknown' ],
0x80867180 => [ 'Intel Corporation|440LX - 82443LX Host bridge', 'ignore' ],
0x80867181 => [ 'Intel Corporation|440LX - 82443LX AGP bridge', 'ignore' ],
0x80867190 => [ 'Intel Corporation|440BX/ZX - 82443BX/ZX Host bridge', 'ignore' ],
0x80867191 => [ 'Intel Corporation|440BX/ZX - 82443BX/ZX AGP bridge', 'ignore' ],
0x80867192 => [ 'Intel Corporation|440BX/ZX - 82443BX/ZX Host bridge (AGP disabled)', 'ignore' ],
0x80867194 => [ 'Intel|82440MX CPU to I/O Controller', 'unknown' ],
0x80867198 => [ 'Intel|82440MX PCI to ISA Bridge', 'unknown' ],
0x80867199 => [ 'Intel|82440MX EIDE Controller', 'unknown' ],
0x8086719a => [ 'Intel|82440MX USB Universal Host Controller', 'unknown' ],
0x8086719b => [ 'Intel|82440MX Power Management Controller', 'unknown' ],
0x808671a0 => [ 'Intel Corporation|440GX - 82443GX Host bridge', 'ignore' ],
0x808671a1 => [ 'Intel Corporation|440GX - 82443GX AGP bridge', 'ignore' ],
0x808671a2 => [ 'Intel Corporation|440GX - 82443GX Host bridge (AGP disabled)', 'ignore' ],
0x80867602 => [ 'Intel Corporation|82372FB [PCI-to-USB UHCI]', 'usb-uhci' ],
0x80867800 => [ 'Intel Corporation|i740', 'Card:Intel 740 (generic)' ],
0x808684c4 => [ 'Intel Corporation|450KX/GX [Orion] - 82454KX/GX PCI bridge', 'unknown' ],
0x808684c5 => [ 'Intel Corporation|450KX/GX [Orion] - 82453KX/GX Memory controller', 'unknown' ],
0x808684ca => [ 'Intel Corporation|450NX - 82451NX Memory & I/O Controller', 'unknown' ],
0x808684cb => [ 'Intel Corporation|450NX - 82454NX PCI Expander Bridge', 'unknown' ],
0x8086ffff => [ 'Intel Corporation|450NX/GX [Orion] - 82453KX/GX Memory controller [BUG]', 'unknown' ],
0x88002008 => [ 'Trigem Computer Inc.|Video assistent component', 'unknown' ],
0x8e2e3000 => [ 'KTI|ET32P2', 'ne2k-pci' ],
0x90041078 => [ 'Adaptec|AIC-7810', 'aic7xxx' ],
0x90041160 => [ 'Adaptec|AIC-1160 [Family Fiber Channel Adapter]', 'unknown' ],
0x90042178 => [ 'Adaptec|AIC-7821', 'aic7xxx' ],
0x90043860 => [ 'Adaptec|AHA-2930CU', 'aic7xxx' ],
0x90043b78 => [ 'Adaptec|AHA-4844W/4844UW', 'unknown' ],
0x90045075 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045078 => [ 'Adaptec|AHA-7850', 'aic7xxx' ],
0x90045175 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045178 => [ 'Adaptec|AIC-7851', 'aic7xxx' ],
0x90045275 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045278 => [ 'Adaptec|AIC-7852', 'aic7xxx' ],
0x90045375 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045378 => [ 'Adaptec|AIC-7850', 'aic7xxx' ],
0x90045475 => [ 'Adaptec|AIC-2930', 'aic7xxx' ],
0x90045478 => [ 'Adaptec|AIC-7850', 'aic7xxx' ],
0x90045575 => [ 'Adaptec|AVA-2930', 'aic7xxx' ],
0x90045578 => [ 'Adaptec|AIC-7855', 'aic7xxx' ],
0x90045675 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045678 => [ 'Adaptec|AIC-7850', 'aic7xxx' ],
0x90045775 => [ 'Adaptec|AIC-755x', 'aic7xxx' ],
0x90045778 => [ 'Adaptec|AIC-7850', 'aic7xxx' ],
0x90045800 => [ 'Adaptec|AIC-5800', 'aic7xxx' ],
0x90045900 => [ 'Adaptec|ANA-5910/5930/5940 ATM155 & 25 LAN Adapter', 'unknown' ],
0x90045905 => [ 'Adaptec|ANA-5910A/5930A/5940A ATM Adapter', 'unknown' ],
0x90046038 => [ 'Adaptec|AIC-3860', 'aic7xxx' ],
0x90046075 => [ 'Adaptec|AIC-1480 / APA-1480', 'aic7xxx' ],
0x90046078 => [ 'Adaptec|AIC-7860', 'aic7xxx' ],
0x90046178 => [ 'Adaptec|AIC-7861', 'aic7xxx' ],
0x90046278 => [ 'Adaptec|AIC-7860', 'aic7xxx' ],
0x90046378 => [ 'Adaptec|AIC-7860', 'aic7xxx' ],
0x90046478 => [ 'Adaptec|AIC-786', 'aic7xxx' ],
0x90046578 => [ 'Adaptec|AIC-786x', 'aic7xxx' ],
0x90046678 => [ 'Adaptec|AIC-786', 'aic7xxx' ],
0x90046778 => [ 'Adaptec|AIC-786x', 'aic7xxx' ],
0x90046915 => [ 'Adaptec|ANA620xx/ANA69011A Fast Ethernet', 'unknown' ],
0x90047078 => [ 'Adaptec|AHA-294x / AIC-7870', 'aic7xxx' ],
0x90047178 => [ 'Adaptec|AHA-294x / AIC-7871', 'aic7xxx' ],
0x90047278 => [ 'Adaptec|AHA-3940 / AIC-7872', 'aic7xxx' ],
0x90047378 => [ 'Adaptec|AHA-3985 / AIC-7873', 'aic7xxx' ],
0x90047478 => [ 'Adaptec|AHA-2944 / AIC-7874', 'aic7xxx' ],
0x90047578 => [ 'Adaptec|AHA-3944 / AHA-3944W / 7875', 'aic7xxx' ],
0x90047678 => [ 'Adaptec|AHA-4944W/UW / 7876', 'aic7xxx' ],
0x90047778 => [ 'Adaptec|AIC-787x', 'aic7xxx' ],
0x90047810 => [ 'Adaptec|AIC-7810', 'aic7xxx' ],
0x90047850 => [ 'Adaptec|AIC-7850', 'aic7xxx' ],
0x90047855 => [ 'Adaptec|AHA-2930', 'aic7xxx' ],
0x90047860 => [ 'Adaptec|AIC-7860', 'aic7xxx' ],
0x90047870 => [ 'Adaptec|AIC-7870', 'aic7xxx' ],
0x90047871 => [ 'Adaptec|AHA-2940', 'aic7xxx' ],
0x90047872 => [ 'Adaptec|AHA-3940', 'aic7xxx' ],
0x90047873 => [ 'Adaptec|AHA-3980', 'aic7xxx' ],
0x90047874 => [ 'Adaptec|AHA-2944', 'aic7xxx' ],
0x90047880 => [ 'Adaptec|AIC-7880P', 'aic7xxx' ],
0x90047890 => [ 'Adaptec|AIC-7890', 'aic7xxx' ],
0x90047891 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90047892 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90047893 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90047894 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90047895 => [ 'Adaptec|AHA-2940U/UW / AHA-39xx / AIC-7895', 'aic7xxx' ],
0x90047896 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90047897 => [ 'Adaptec|AIC-789x', 'aic7xxx' ],
0x90048078 => [ 'Adaptec|AIC-7880U', 'aic7xxx' ],
0x90048178 => [ 'Adaptec|AIC-7881U', 'aic7xxx' ],
0x90048278 => [ 'Adaptec|AHA-3940U/UW / AIC-7882U', 'aic7xxx' ],
0x90048378 => [ 'Adaptec|AHA-3940U/UW / AIC-7883U', 'aic7xxx' ],
0x90048478 => [ 'Adaptec|AHA-294x / AIC-7884U', 'aic7xxx' ],
0x90048578 => [ 'Adaptec|AHA-3944U / AHA-3944UWD / 7885', 'aic7xxx' ],
0x90048678 => [ 'Adaptec|AHA-4944UW / 7886', 'aic7xxx' ],
0x90048778 => [ 'Adaptec|AIC-788x', 'aic7xxx' ],
0x90048878 => [ 'Adaptec|7888', 'aic7xxx' ],
0x90048b78 => [ 'Adaptec|ABA-1030', 'unknown' ],
0x9004ec78 => [ 'Adaptec|AHA-4944W/UW', 'aic7xxx' ],
0x90050010 => [ 'Adaptec|AHA-2940U2/W', 'aic7xxx' ],
0x90050011 => [ 'Adaptec|2930U2', 'aic7xxx' ],
0x90050013 => [ 'Adaptec|78902', 'aic7xxx' ],
0x9005001f => [ 'Adaptec|AHA-2940U2/W / 7890', 'aic7xxx' ],
0x90050020 => [ 'Adaptec|AIC-7890', 'aic7xxx' ],
0x9005002f => [ 'Adaptec|AIC-7890', 'aic7xxx' ],
0x90050030 => [ 'Adaptec|AIC-7890', 'aic7xxx' ],
0x9005003f => [ 'Adaptec|AIC-7890', 'aic7xxx' ],
0x90050050 => [ 'Adaptec|3940U2', 'aic7xxx' ],
0x90050051 => [ 'Adaptec|3950U2D', 'aic7xxx' ],
0x9005005f => [ 'Adaptec|7896', 'aic7xxx' ],
0x90050080 => [ 'Adaptec|7892A', 'aic7xxx' ],
0x90050081 => [ 'Adaptec|7892B', 'aic7xxx' ],
0x90050083 => [ 'Adaptec|7892D', 'aic7xxx' ],
0x9005008f => [ 'Adaptec|7892P', 'aic7xxx' ],
0x900500c0 => [ 'Adaptec|7899A', 'aic7xxx' ],
0x900500c1 => [ 'Adaptec|7899B', 'aic7xxx' ],
0x900500c3 => [ 'Adaptec|7899D', 'aic7xxx' ],
0x900500cf => [ 'Adaptec|7899P', 'aic7xxx' ],
0x907f2015 => [ 'Atronics|IDE-2015PL', 'unknown' ],
0x94126565 => [ 'Holtek|6565', 'ignore' ],
0xe000e000 => [ 'Winbond|W89C940', 'unknown' ],
0xe1590001 => [ 'Tiger Jet Network Inc.|300', 'ignore' ],
0xedd8a091 => [ 'ARK Logic Inc|1000PV [Stingray]', 'Server:SVGA' ],
0xedd8a099 => [ 'ARK Logic Inc|2000PV [Stingray]', 'Card:Ark Logic ARK2000MT (generic)' ],
0xedd8a0a1 => [ 'ARK Logic Inc|2000MT', 'Card:Ark Logic ARK2000MT (generic)' ],
0xedd8a0a9 => [ 'ARK Logic Inc|2000MI', 'Server:SVGA' ],
0xfffe0710 => [ 'VMWare Inc|Virtual SVGA', 'unknown' ],
);
1;
